pub usingnamespace @import("protocol.pb.zig");
pub const ManagedString = @import("protobuf").ManagedString;

pub const CmdID = enum(u16) {
    CmdSubmitMaterialSubmitActivityMaterialCsReq = 2652,
    CmdLeaveTrialActivityCsReq = 2672,
    CmdLeaveTrialActivityScRsp = 2635,
    CmdGetTrialActivityDataCsReq = 2696,
    CmdGetTrialActivityDataScRsp = 2616,
    CmdTakeMaterialSubmitActivityRewardScRsp = 2636,
    CmdStartTrialActivityCsReq = 2689,
    CmdAvatarDeliverRewardChooseAvatarScRsp = 2625,
    CmdAvatarDeliverRewardChooseAvatarCsReq = 2648,
    CmdTakeMaterialSubmitActivityRewardCsReq = 2694,
    CmdGetMaterialSubmitActivityDataScRsp = 2638,
    CmdEnterTrialActivityStageCsReq = 2664,
    CmdSubmitMaterialSubmitActivityMaterialScRsp = 2668,
    CmdTakeTrialActivityRewardScRsp = 2690,
    CmdTakeLoginActivityRewardScRsp = 2639,
    CmdGetLoginActivityCsReq = 2620,
    CmdCurTrialActivityScNotify = 2653,
    CmdGetMaterialSubmitActivityDataCsReq = 2685,
    CmdGetAvatarDeliverRewardActivityDataCsReq = 2633,
    CmdGetActivityScheduleConfigCsReq = 2627,
    CmdEnterTrialActivityStageScRsp = 2657,
    CmdTakeTrialActivityRewardCsReq = 2626,
    CmdTakeLoginActivityRewardCsReq = 2667,
    CmdStartTrialActivityScRsp = 2637,
    CmdGetActivityScheduleConfigScRsp = 2621,
    CmdAvatarDeliverRewardTakeRewardCsReq = 2643,
    CmdAvatarDeliverRewardTakeRewardScRsp = 2612,
    CmdGetAvatarDeliverRewardActivityDataScRsp = 2607,
    CmdGetLoginActivityScRsp = 2691,
    CmdTrialActivityDataChangeScNotify = 2693,
    CmdGetFarmStageGachaInfoScRsp = 1339,
    CmdGetFarmStageGachaInfoCsReq = 1367,
    CmdQuickStartFarmElementScRsp = 1359,
    CmdCocoonSweepScRsp = 1377,
    CmdEnterAdventureScRsp = 1391,
    CmdQuickStartFarmElementCsReq = 1370,
    CmdQuickStartCocoonStageScRsp = 1321,
    CmdQuickStartCocoonStageCsReq = 1327,
    CmdCocoonSweepCsReq = 1354,
    CmdFarmElementSweepScRsp = 1302,
    CmdEnterAdventureCsReq = 1320,
    CmdFarmElementSweepCsReq = 1380,
    CmdAetherDivideFinishChallengeScNotify = 4820,
    CmdEnterAetherDivideSceneScRsp = 4827,
    CmdLeaveAetherDivideSceneCsReq = 4818,
    CmdSwitchAetherDivideLineUpSlotScRsp = 4843,
    CmdGetAetherDivideChallengeInfoScRsp = 4801,
    CmdGetAetherDivideInfoCsReq = 4845,
    CmdStartAetherDivideSceneBattleScRsp = 4837,
    CmdGetAetherDivideChallengeInfoCsReq = 4814,
    CmdAetherDivideTakeChallengeRewardCsReq = 4809,
    CmdAetherDivideSpiritExpUpScRsp = 4840,
    CmdEquipAetherDividePassiveSkillCsReq = 4826,
    CmdStartAetherDivideStageBattleCsReq = 4830,
    CmdAetherDivideRefreshEndlessScRsp = 4835,
    CmdAetherDivideRefreshEndlessScNotify = 4847,
    CmdSwitchAetherDivideLineUpSlotCsReq = 4825,
    CmdClearAetherDividePassiveSkillScRsp = 4822,
    CmdAetherDivideRefreshEndlessCsReq = 4804,
    CmdStartAetherDivideSceneBattleCsReq = 4811,
    CmdAetherDivideSpiritExpUpCsReq = 4813,
    CmdEnterAetherDivideSceneCsReq = 4849,
    CmdSetAetherDivideLineUpScRsp = 4819,
    CmdAetherDivideSpiritInfoScNotify = 4824,
    CmdAetherDivideTainerInfoScNotify = 4816,
    CmdAetherDivideLineupScNotify = 4831,
    CmdAetherDivideTakeChallengeRewardScRsp = 4850,
    CmdAetherDivideSkillItemScNotify = 4848,
    CmdGetAetherDivideInfoScRsp = 4806,
    CmdSetAetherDivideLineUpCsReq = 4828,
    CmdStartAetherDivideChallengeBattleCsReq = 4817,
    CmdEquipAetherDividePassiveSkillScRsp = 4834,
    CmdLeaveAetherDivideSceneScRsp = 4836,
    CmdClearAetherDividePassiveSkillCsReq = 4846,
    CmdStartAetherDivideStageBattleScRsp = 4803,
    CmdStartAetherDivideChallengeBattleScRsp = 4839,
    CmdStartAlleyEventCsReq = 4770,
    CmdAlleyShopLevelScNotify = 4709,
    CmdAlleyTakeEventRewardCsReq = 4703,
    CmdLogisticsScoreRewardSyncInfoScNotify = 4722,
    CmdGetAlleyInfoScRsp = 4791,
    CmdAlleyGuaranteedFundsScRsp = 4769,
    CmdAlleyShipmentEventEffectsScNotify = 4741,
    CmdAlleyOrderChangedScNotify = 4752,
    CmdStartAlleyEventScRsp = 4759,
    CmdAlleyShipUnlockScNotify = 4706,
    CmdSaveLogisticsScRsp = 4744,
    CmdRefreshAlleyOrderCsReq = 4785,
    CmdLogisticsGameScRsp = 4739,
    CmdActivityRaidPlacingGameCsReq = 4740,
    CmdTakePrestigeRewardCsReq = 4780,
    CmdRefreshAlleyOrderScRsp = 4738,
    CmdLogisticsGameCsReq = 4767,
    CmdPrestigeLevelUpScRsp = 4736,
    CmdTakePrestigeRewardScRsp = 4702,
    CmdSaveLogisticsCsReq = 4731,
    CmdAlleyPlacingGameScRsp = 4774,
    CmdAlleyPlacingGameCsReq = 4705,
    CmdAlleyFundsScNotify = 4787,
    CmdAlleyShipUsedCountScNotify = 4734,
    CmdGetSaveLogisticsMapCsReq = 4784,
    CmdAlleyEventChangeNotify = 4754,
    CmdActivityRaidPlacingGameScRsp = 4718,
    CmdLogisticsDetonateStarSkiffCsReq = 4728,
    CmdAlleyTakeEventRewardScRsp = 4724,
    CmdAlleyEventEffectNotify = 4777,
    CmdGetAlleyInfoCsReq = 4720,
    CmdLogisticsDetonateStarSkiffScRsp = 4723,
    CmdGetSaveLogisticsMapScRsp = 4778,
    CmdPrestigeLevelUpCsReq = 4794,
    CmdAlleyGuaranteedFundsCsReq = 4745,
    CmdLogisticsInfoScNotify = 4749,
    CmdGetUpdatedArchiveDataScRsp = 2339,
    CmdGetArchiveDataCsReq = 2320,
    CmdGetUpdatedArchiveDataCsReq = 2367,
    CmdGetArchiveDataScRsp = 2391,
    CmdSetAvatarEnhancedIdCsReq = 328,
    CmdAddAvatarScNotify = 305,
    CmdUnlockAvatarSkinScNotify = 331,
    CmdAvatarExpUpScRsp = 339,
    CmdSetAvatarEnhancedIdScRsp = 323,
    CmdDressAvatarSkinScRsp = 387,
    CmdDressAvatarScRsp = 377,
    CmdDressAvatarCsReq = 354,
    CmdTakeOffRelicScRsp = 352,
    CmdTakePromotionRewardCsReq = 368,
    CmdAddMultiPathAvatarScNotify = 341,
    CmdTakePromotionRewardScRsp = 394,
    CmdDressRelicAvatarCsReq = 398,
    CmdGetPreAvatarActivityListScRsp = 340,
    CmdMarkAvatarCsReq = 344,
    CmdMarkAvatarScRsp = 349,
    CmdPromoteAvatarCsReq = 370,
    CmdRankUpAvatarCsReq = 374,
    CmdTakeOffEquipmentScRsp = 302,
    CmdTakeOffAvatarSkinCsReq = 309,
    CmdSetGrowthTargetAvatarCsReq = 384,
    CmdGetPreAvatarActivityListCsReq = 322,
    CmdPromoteAvatarScRsp = 359,
    CmdRankUpAvatarScRsp = 373,
    CmdDressAvatarSkinCsReq = 336,
    CmdGetPreAvatarGrowthInfoCsReq = 345,
    CmdUnlockSkilltreeCsReq = 327,
    CmdAvatarExpUpCsReq = 367,
    CmdTakeOffAvatarSkinScRsp = 306,
    CmdTakeOffRelicCsReq = 338,
    CmdSetGrowthTargetAvatarScRsp = 378,
    CmdGetPreAvatarGrowthInfoScRsp = 369,
    CmdGetAvatarDataScRsp = 391,
    CmdDressRelicAvatarScRsp = 385,
    CmdGetAvatarDataCsReq = 320,
    CmdUnlockSkilltreeScRsp = 321,
    CmdTakeOffEquipmentCsReq = 380,
    CmdGrowthTargetAvatarChangedScNotify = 334,
    CmdQuitBattleScRsp = 139,
    CmdSyncClientResVersionScRsp = 159,
    CmdServerSimulateBattleFinishScNotify = 102,
    CmdBattleLogReportCsReq = 177,
    CmdBattleLogReportScRsp = 180,
    CmdGetCurBattleInfoScRsp = 121,
    CmdRebattleByClientCsNotify = 174,
    CmdPVEBattleResultCsReq = 120,
    CmdGetCurBattleInfoCsReq = 127,
    CmdReBattleAfterBattleLoseCsNotify = 105,
    CmdPVEBattleResultScRsp = 191,
    CmdSyncClientResVersionCsReq = 170,
    CmdQuitBattleScNotify = 154,
    CmdQuitBattleCsReq = 167,
    CmdBattleCollegeDataChangeScNotify = 5767,
    CmdStartBattleCollegeCsReq = 5739,
    CmdGetBattleCollegeDataScRsp = 5791,
    CmdGetBattleCollegeDataCsReq = 5720,
    CmdStartBattleCollegeScRsp = 5727,
    CmdBuyBpLevelScRsp = 3070,
    CmdBuyBpLevelCsReq = 3021,
    CmdTakeAllRewardScRsp = 3054,
    CmdTakeBpRewardScRsp = 3027,
    CmdTakeBpRewardCsReq = 3039,
    CmdTakeAllRewardCsReq = 3059,
    CmdBattlePassInfoNotify = 3020,
    CmdTakeBenefitActivityRewardCsReq = 4868,
    CmdJoinBenefitActivityScRsp = 4887,
    CmdJoinBenefitActivityCsReq = 4861,
    CmdTakeBenefitActivityRewardScRsp = 4886,
    CmdGetBenefitActivityInfoCsReq = 4899,
    CmdGetBenefitActivityInfoScRsp = 4877,
    CmdChooseBoxingClubStageOptionalBuffScRsp = 4298,
    CmdStartBoxingClubBattleScRsp = 4221,
    CmdGiveUpBoxingClubChallengeCsReq = 4270,
    CmdGetBoxingClubInfoScRsp = 4291,
    CmdGiveUpBoxingClubChallengeScRsp = 4259,
    CmdStartBoxingClubBattleCsReq = 4227,
    CmdBoxingClubChallengeUpdateScNotify = 4277,
    CmdChooseBoxingClubResonanceCsReq = 4280,
    CmdChooseBoxingClubResonanceScRsp = 4202,
    CmdMatchBoxingClubOpponentScRsp = 4239,
    CmdSetBoxingClubResonanceLineupCsReq = 4205,
    CmdSetBoxingClubResonanceLineupScRsp = 4274,
    CmdMatchBoxingClubOpponentCsReq = 4267,
    CmdChooseBoxingClubStageOptionalBuffCsReq = 4273,
    CmdBoxingClubRewardScNotify = 4254,
    CmdGetBoxingClubInfoCsReq = 4220,
    CmdChallengeLineupNotify = 1702,
    CmdGetChallengeCsReq = 1720,
    CmdChallengeSettleNotify = 1770,
    CmdRestartChallengePhaseCsReq = 1736,
    CmdLeaveChallengeScRsp = 1721,
    CmdGetChallengeGroupStatisticsScRsp = 1738,
    CmdRestartChallengePhaseScRsp = 1787,
    CmdGetChallengeScRsp = 1791,
    CmdEnterChallengeNextPhaseScRsp = 1706,
    CmdGetChallengeGroupStatisticsCsReq = 1785,
    CmdGetCurChallengeCsReq = 1777,
    CmdGetCurChallengeScRsp = 1780,
    CmdStartChallengeCsReq = 1767,
    CmdStartChallengeScRsp = 1739,
    CmdLeaveChallengeCsReq = 1727,
    CmdEnterChallengeNextPhaseCsReq = 1709,
    CmdStartPartialChallengeCsReq = 1752,
    CmdStartPartialChallengeScRsp = 1768,
    CmdChallengeBossPhaseSettleNotify = 1731,
    CmdTakeChallengeRewardScRsp = 1798,
    CmdTakeChallengeRewardCsReq = 1773,
    CmdPrivateMsgOfflineUsersScNotify = 3939,
    CmdGetChatFriendHistoryScRsp = 3959,
    CmdGetLoginChatInfoScRsp = 3998,
    CmdGetChatEmojiListScRsp = 3977,
    CmdMarkChatEmojiCsReq = 3980,
    CmdGetPrivateChatHistoryScRsp = 3921,
    CmdBatchMarkChatEmojiScRsp = 3974,
    CmdMarkChatEmojiScRsp = 3902,
    CmdGetPrivateChatHistoryCsReq = 3927,
    CmdGetChatEmojiListCsReq = 3954,
    CmdSendMsgCsReq = 3920,
    CmdGetChatFriendHistoryCsReq = 3970,
    CmdGetLoginChatInfoCsReq = 3973,
    CmdRevcMsgScNotify = 3967,
    CmdSendMsgScRsp = 3991,
    CmdBatchMarkChatEmojiCsReq = 3905,
    CmdFinishChessRogueSubStoryScRsp = 5442,
    CmdChessRoguePickAvatarCsReq = 5506,
    CmdChessRogueNousDiceSurfaceUnlockNotify = 5540,
    CmdGetChessRogueBuffEnhanceInfoCsReq = 5448,
    CmdChessRogueRollDiceScRsp = 5504,
    CmdChessRogueQuitCsReq = 5511,
    CmdSelectChessRogueSubStoryCsReq = 5592,
    CmdChessRogueLeaveScRsp = 5469,
    CmdChessRogueUpdateReviveInfoScNotify = 5547,
    CmdChessRogueUpdateAllowedSelectCellScNotify = 5538,
    CmdChessRogueNousEditDiceScRsp = 5515,
    CmdSyncChessRogueNousMainStoryScNotify = 5574,
    CmdChessRogueStartCsReq = 5488,
    CmdChessRogueEnterCellScRsp = 5579,
    CmdChessRogueSelectCellCsReq = 5459,
    CmdSelectChessRogueSubStoryScRsp = 5406,
    CmdSyncChessRogueNousValueScNotify = 5513,
    CmdChessRogueSkipTeachingLevelCsReq = 5453,
    CmdChessRogueNousEnableRogueTalentScRsp = 5486,
    CmdSyncChessRogueNousSubStoryScNotify = 5424,
    CmdChessRogueGiveUpCsReq = 5407,
    CmdChessRogueCheatRollCsReq = 5485,
    CmdChessRogueLayerAccountInfoNotify = 5413,
    CmdChessRogueQuitScRsp = 5542,
    CmdChessRogueRollDiceCsReq = 5418,
    CmdGetChessRogueNousStoryInfoCsReq = 5461,
    CmdChessRogueChangeyAeonDimensionNotify = 5533,
    CmdChessRogueReRollDiceCsReq = 5576,
    CmdChessRogueStartScRsp = 5436,
    CmdChessRoguePickAvatarScRsp = 5561,
    CmdChessRogueGiveUpRollCsReq = 5590,
    CmdChessRogueGiveUpScRsp = 5505,
    CmdEnhanceChessRogueBuffCsReq = 5564,
    CmdChessRogueNousEnableRogueTalentCsReq = 5449,
    CmdGetChessRogueNousStoryInfoScRsp = 5570,
    CmdGetChessRogueStoryInfoCsReq = 5446,
    CmdChessRogueUpdateUnlockLevelScNotify = 5537,
    CmdChessRogueLeaveCsReq = 5476,
    CmdChessRogueUpdateBoardScNotify = 5481,
    CmdChessRogueQuestFinishNotify = 5482,
    CmdChessRogueQueryAeonDimensionsScRsp = 5423,
    CmdChessRogueUpdateDiceInfoScNotify = 5473,
    CmdChessRogueEnterNextLayerScRsp = 5521,
    CmdChessRogueUpdateActionPointScNotify = 5499,
    CmdChessRogueGiveUpRollScRsp = 5403,
    CmdGetChessRogueStoryInfoScRsp = 5402,
    CmdSyncChessRogueMainStoryFinishScNotify = 5441,
    CmdChessRogueReviveAvatarScRsp = 5543,
    CmdChessRogueUpdateAeonModifierValueScNotify = 5404,
    CmdChessRogueEnterNextLayerCsReq = 5546,
    CmdChessRogueEnterScRsp = 5526,
    CmdChessRogueEnterCellCsReq = 5519,
    CmdChessRogueSelectCellScRsp = 5508,
    CmdChessRogueQueryAeonDimensionsCsReq = 5535,
    CmdChessRogueEnterCsReq = 5490,
    CmdEnterChessRogueAeonRoomCsReq = 5455,
    CmdChessRogueUpdateLevelBaseInfoScNotify = 5555,
    CmdChessRogueUpdateMoneyInfoScNotify = 5534,
    CmdChessRogueQueryScRsp = 5412,
    CmdChessRogueSkipTeachingLevelScRsp = 5438,
    CmdGetChessRogueStoryAeonTalkInfoCsReq = 5474,
    CmdChessRogueNousEditDiceCsReq = 5428,
    CmdChessRogueCellUpdateNotify = 5558,
    CmdEnterChessRogueAeonRoomScRsp = 5410,
    CmdChessRogueNousGetRogueTalentInfoScRsp = 5554,
    CmdChessRogueCheatRollScRsp = 5560,
    CmdEnhanceChessRogueBuffScRsp = 5500,
    CmdChessRogueQueryCsReq = 5541,
    CmdFinishChessRogueSubStoryCsReq = 5454,
    CmdGetChessRogueStoryAeonTalkInfoScRsp = 5553,
    CmdChessRogueNousGetRogueTalentInfoCsReq = 5495,
    CmdChessRogueNousDiceUpdateNotify = 5462,
    CmdChessRogueConfirmRollCsReq = 5571,
    CmdChessRogueReRollDiceScRsp = 5487,
    CmdChessRogueUpdateDicePassiveAccumulateValueScNotify = 5569,
    CmdChessRogueReviveAvatarCsReq = 5551,
    CmdGetChessRogueBuffEnhanceInfoScRsp = 5520,
    CmdChessRogueConfirmRollScRsp = 5422,
    CmdChimeraRoundWorkStartScRsp = 8161,
    CmdChimeraDoFinalRoundCsReq = 8173,
    CmdChimeraSetLineupScRsp = 8176,
    CmdChimeraGetDataCsReq = 8178,
    CmdChimeraFinishEndlessRoundCsReq = 8174,
    CmdChimeraSetLineupCsReq = 8170,
    CmdChimeraQuitEndlessScRsp = 8166,
    CmdChimeraRoundWorkStartCsReq = 8162,
    CmdChimeraStartEndlessScRsp = 8163,
    CmdChimeraFinishRoundScRsp = 8171,
    CmdChimeraFinishEndlessRoundScRsp = 8179,
    CmdChimeraDoFinalRoundScRsp = 8175,
    CmdChimeraGetDataScRsp = 8169,
    CmdChimeraQuitEndlessCsReq = 8172,
    CmdChimeraFinishRoundCsReq = 8167,
    CmdChimeraStartEndlessCsReq = 8165,
    CmdClockParkUnlockTalentScRsp = 7237,
    CmdClockParkBattleEndScNotify = 7246,
    CmdClockParkGetInfoScRsp = 7227,
    CmdClockParkQuitScriptScRsp = 7219,
    CmdClockParkUseBuffScRsp = 7243,
    CmdClockParkGetOngoingScriptInfoScRsp = 7210,
    CmdClockParkHandleWaitOperationCsReq = 7245,
    CmdClockParkHandleWaitOperationScRsp = 7206,
    CmdClockParkStartScriptCsReq = 7217,
    CmdClockParkUnlockTalentCsReq = 7211,
    CmdClockParkGetOngoingScriptInfoCsReq = 7212,
    CmdClockParkStartScriptScRsp = 7239,
    CmdClockParkFinishScriptScNotify = 7230,
    CmdClockParkUseBuffCsReq = 7225,
    CmdClockParkGetInfoCsReq = 7249,
    CmdClockParkQuitScriptCsReq = 7228,
    CmdContentPackageSyncDataScNotify = 7518,
    CmdContentPackageTransferScNotify = 7537,
    CmdContentPackageUnlockCsReq = 7536,
    CmdContentPackageGetDataScRsp = 7527,
    CmdContentPackageUnlockScRsp = 7511,
    CmdContentPackageGetDataCsReq = 7549,
    CmdGetDailyActiveInfoScRsp = 3339,
    CmdTakeApRewardCsReq = 3320,
    CmdTakeApRewardScRsp = 3391,
    CmdGetDailyActiveInfoCsReq = 3367,
    CmdTakeAllApRewardScRsp = 3370,
    CmdDailyActiveInfoNotify = 3327,
    CmdTakeAllApRewardCsReq = 3321,
    CmdGetServerGraphDataCsReq = 2487,
    CmdUpdateServerLogSettingsCsReq = 2468,
    CmdUpdateServerLogSettingsScRsp = 2486,
    CmdGetServerLogSettingsScRsp = 2477,
    CmdGetServerLogSettingsCsReq = 2499,
    CmdGetServerGraphDataScRsp = 2467,
    CmdServerLogScNotify = 2461,
    CmdMakeDrinkScRsp = 6996,
    CmdGetDrinkMakerDataCsReq = 6998,
    CmdDrinkMakerChallengeScRsp = 6992,
    CmdDrinkMakerChallengeCsReq = 6999,
    CmdDrinkMakerUpdateTipsNotify = 6986,
    CmdMakeMissionDrinkScRsp = 6983,
    CmdGetDrinkMakerDataScRsp = 6989,
    CmdMakeDrinkCsReq = 6990,
    CmdEndDrinkMakerSequenceCsReq = 6987,
    CmdMakeMissionDrinkCsReq = 6985,
    CmdEndDrinkMakerSequenceScRsp = 6991,
    CmdDrinkMakerDayEndScNotify = 6994,
    CmdEnterEraFlipperRegionScRsp = 6568,
    CmdResetEraFlipperDataCsReq = 6570,
    CmdGetEraFlipperDataScRsp = 6561,
    CmdChangeEraFlipperDataCsReq = 6555,
    CmdEnterEraFlipperRegionCsReq = 6562,
    CmdEraFlipperDataChangeScNotify = 6566,
    CmdResetEraFlipperDataScRsp = 6557,
    CmdChangeEraFlipperDataScRsp = 6560,
    CmdGetEraFlipperDataCsReq = 6559,
    CmdEvolveBuildStartLevelCsReq = 7118,
    CmdEvolveBuildShopAbilityUpCsReq = 7134,
    CmdEvolveBuildSkipTeachLevelScRsp = 7101,
    CmdEvolveBuildQueryInfoCsReq = 7149,
    CmdEvolveBuildGiveupCsReq = 7117,
    CmdEvolveBuildReRandomStageScRsp = 7128,
    CmdEvolveBuildStartStageCsReq = 7111,
    CmdEvolveBuildStartLevelScRsp = 7136,
    CmdEvolveBuildFinishScNotify = 7145,
    CmdEvolveBuildReRandomStageCsReq = 7106,
    CmdEvolveBuildLeaveCsReq = 7112,
    CmdEvolveBuildLeaveScRsp = 7110,
    CmdEvolveBuildShopAbilityDownScRsp = 7125,
    CmdEvolveBuildStartStageScRsp = 7137,
    CmdEvolveBuildShopAbilityResetCsReq = 7103,
    CmdEvolveBuildShopAbilityResetScRsp = 7113,
    CmdEvolveBuildCoinNotify = 7140,
    CmdEvolveBuildSkipTeachLevelCsReq = 7114,
    CmdEvolveBuildShopAbilityDownCsReq = 7122,
    CmdEvolveBuildQueryInfoScRsp = 7127,
    CmdEvolveBuildShopAbilityUpScRsp = 7146,
    CmdEvolveBuildGiveupScRsp = 7139,
    CmdTakeActivityExpeditionRewardCsReq = 2574,
    CmdTakeExpeditionRewardCsReq = 2570,
    CmdCancelActivityExpeditionScRsp = 2505,
    CmdAcceptExpeditionScRsp = 2539,
    CmdTakeMultipleActivityExpeditionRewardScRsp = 2594,
    CmdTakeMultipleExpeditionRewardScRsp = 2552,
    CmdExpeditionDataChangeScNotify = 2554,
    CmdGetExpeditionDataCsReq = 2520,
    CmdTakeMultipleActivityExpeditionRewardCsReq = 2568,
    CmdCancelExpeditionCsReq = 2527,
    CmdTakeMultipleExpeditionRewardCsReq = 2538,
    CmdCancelExpeditionScRsp = 2521,
    CmdAcceptActivityExpeditionScRsp = 2580,
    CmdAcceptMultipleExpeditionCsReq = 2598,
    CmdTakeActivityExpeditionRewardScRsp = 2573,
    CmdAcceptActivityExpeditionCsReq = 2577,
    CmdAcceptExpeditionCsReq = 2567,
    CmdAcceptMultipleExpeditionScRsp = 2585,
    CmdCancelActivityExpeditionCsReq = 2502,
    CmdTakeExpeditionRewardScRsp = 2559,
    CmdGetExpeditionDataScRsp = 2591,
    CmdGetFantasticStoryActivityDataCsReq = 4920,
    CmdFantasticStoryActivityBattleEndScNotify = 4921,
    CmdEnterFantasticStoryActivityStageCsReq = 4939,
    CmdGetFantasticStoryActivityDataScRsp = 4991,
    CmdFinishChapterScNotify = 4967,
    CmdEnterFantasticStoryActivityStageScRsp = 4927,
    CmdFateHandlePendingActionScRsp = 5993,
    CmdFateShopLeaveScRsp = 5972,
    CmdFateStartCsReq = 5968,
    CmdFateStartScRsp = 5986,
    CmdFateHandlePendingActionCsReq = 5975,
    CmdFateShopSellBuffScRsp = 5956,
    CmdFateDebugAutoPlayFinishScNotify = 5998,
    CmdFateQueryCsReq = 5999,
    CmdFateSettleScNotify = 5974,
    CmdFateTakeExpRewardScRsp = 5951,
    CmdFateShopLockGoodsCsReq = 5976,
    CmdFateTakeExpRewardCsReq = 5964,
    CmdFateQueryScRsp = 5977,
    CmdFateBattleStartCsReq = 5961,
    CmdFateBattleStartScRsp = 5987,
    CmdFateDebugAutoPlayCsReq = 5970,
    CmdFateShopRefreshGoodsScRsp = 5969,
    CmdFateShopLockGoodsScRsp = 5984,
    CmdFateSyncActionResultScNotify = 5980,
    CmdFateDebugAutoPlayScRsp = 5966,
    CmdFateShopBuyGoodsScRsp = 5960,
    CmdFateChangeLineupCsReq = 5967,
    CmdFateShopRefreshGoodsCsReq = 5978,
    CmdFateShopSellBuffCsReq = 5995,
    CmdFateChangeLineupScRsp = 5989,
    CmdFateShopBuyGoodsCsReq = 5962,
    CmdFateSettleCsReq = 5963,
    CmdFateShopLeaveCsReq = 5996,
    CmdFateSyncPendingActionScNotify = 5953,
    CmdFateSettleScRsp = 5990,
    CmdGetFeverTimeActivityDataCsReq = 7153,
    CmdGetFeverTimeActivityDataScRsp = 7156,
    CmdEnterFeverTimeActivityStageCsReq = 7155,
    CmdFeverTimeActivityBattleEndScNotify = 7158,
    CmdEnterFeverTimeActivityStageScRsp = 7159,
    CmdFightKickOutScNotify = 30039,
    CmdFightHeartBeatCsReq = 30027,
    CmdFightEnterScRsp = 30091,
    CmdFightEnterCsReq = 30020,
    CmdFightSessionStopScNotify = 30070,
    CmdFightGeneralScRsp = 30054,
    CmdFightGeneralCsReq = 30059,
    CmdFightGeneralScNotify = 30077,
    CmdFightLeaveScNotify = 30067,
    CmdFightHeartBeatScRsp = 30021,
    CmdTakeFightActivityRewardCsReq = 3621,
    CmdEnterFightActivityStageCsReq = 3639,
    CmdGetFightActivityDataScRsp = 3691,
    CmdEnterFightActivityStageScRsp = 3627,
    CmdTakeFightActivityRewardScRsp = 3670,
    CmdFightActivityDataChangeScNotify = 3667,
    CmdGetFightActivityDataCsReq = 3620,
    CmdStartFightFestCsReq = 7268,
    CmdFightFestUnlockSkillNotify = 7287,
    CmdGetFightFestDataScRsp = 7277,
    CmdFightFestScoreUpdateNotify = 7261,
    CmdGetFightFestDataCsReq = 7299,
    CmdFightFestUpdateCoinNotify = 7289,
    CmdStartFightFestScRsp = 7286,
    CmdFightFestUpdateChallengeRecordNotify = 7267,
    CmdFightMatch3SoloDataUpdateNotify = 30152,
    CmdFightMatch3ChatScRsp = 30177,
    CmdFightMatch3SwapScRsp = 30170,
    CmdFightMatch3SoloPreTurnEndCsReq = 30136,
    CmdFightMatch3UseItemCsReq = 30105,
    CmdFightMatch3SoloAnimEndCsReq = 30185,
    CmdFightMatch3SwapCsReq = 30121,
    CmdFightMatch3StartCountDownScNotify = 30167,
    CmdFightMatch3SoloPreTurnEndScRsp = 30187,
    CmdFightMatch3ForceUpdateNotify = 30102,
    CmdFightMatch3TurnStartScNotify = 30139,
    CmdFightMatch3SoloDataScRsp = 30198,
    CmdFightMatch3SoloSwapNotify = 30168,
    CmdFightMatch3SoloUseItemNotify = 30194,
    CmdFightMatch3SoloDataCsReq = 30173,
    CmdFightMatch3ChatScNotify = 30180,
    CmdFightMatch3DataScRsp = 30191,
    CmdFightMatch3UseItemScRsp = 30174,
    CmdFightMatch3SoloAnimEndScRsp = 30138,
    CmdFightMatch3OpponentDataScNotify = 30159,
    CmdFightMatch3TurnEndScNotify = 30127,
    CmdFightMatch3DataCsReq = 30120,
    CmdFightMatch3ChatCsReq = 30154,
    CmdSetFriendMarkScRsp = 2995,
    CmdSyncAddBlacklistScNotify = 2938,
    CmdGetFriendDevelopmentInfoScRsp = 2937,
    CmdGetFriendRecommendListInfoCsReq = 2952,
    CmdGetFriendChallengeLineupScRsp = 2993,
    CmdNewAssistHistoryNotify = 2928,
    CmdDeleteFriendScRsp = 2974,
    CmdSetForbidOtherApplyFriendCsReq = 2971,
    CmdGetPlayerDetailInfoCsReq = 2967,
    CmdGetFriendRecommendListInfoScRsp = 2968,
    CmdGetFriendLoginInfoScRsp = 2955,
    CmdSetFriendRemarkNameScRsp = 2936,
    CmdGetFriendListInfoCsReq = 2920,
    CmdTakeAssistRewardCsReq = 2923,
    CmdGetFriendChallengeDetailScRsp = 2957,
    CmdGetPlatformPlayerInfoScRsp = 2947,
    CmdGetFriendRecommendLineupDetailCsReq = 2953,
    CmdDeleteBlacklistCsReq = 2906,
    CmdGetFriendLoginInfoCsReq = 2919,
    CmdGetCurAssistCsReq = 2945,
    CmdGetFriendAssistListScRsp = 2996,
    CmdApplyFriendScRsp = 2959,
    CmdSyncDeleteFriendScNotify = 2973,
    CmdTakeAssistRewardScRsp = 2922,
    CmdGetPlatformPlayerInfoCsReq = 2918,
    CmdHandleFriendCsReq = 2977,
    CmdGetAssistListCsReq = 2941,
    CmdGetFriendBattleRecordDetailScRsp = 2990,
    CmdGetAssistListScRsp = 2984,
    CmdSetFriendMarkCsReq = 2950,
    CmdGetFriendBattleRecordDetailCsReq = 2926,
    CmdGetAssistHistoryCsReq = 2903,
    CmdGetFriendAssistListCsReq = 2960,
    CmdAddBlacklistCsReq = 2998,
    CmdSetAssistScRsp = 2934,
    CmdSyncHandleFriendScNotify = 2902,
    CmdReportPlayerCsReq = 2987,
    CmdGetFriendRecommendLineupDetailScRsp = 2933,
    CmdGetCurAssistScRsp = 2969,
    CmdDeleteBlacklistScRsp = 2931,
    CmdGetFriendChallengeLineupCsReq = 2916,
    CmdSearchPlayerCsReq = 2944,
    CmdApplyFriendCsReq = 2970,
    CmdSetFriendRemarkNameCsReq = 2994,
    CmdSetForbidOtherApplyFriendScRsp = 2963,
    CmdGetFriendChallengeDetailCsReq = 2964,
    CmdReportPlayerScRsp = 2909,
    CmdGetPlayerDetailInfoScRsp = 2939,
    CmdGetFriendApplyListInfoCsReq = 2927,
    CmdDeleteFriendCsReq = 2905,
    CmdGetFriendApplyListInfoScRsp = 2921,
    CmdCurAssistChangedNotify = 2940,
    CmdGetFriendListInfoScRsp = 2991,
    CmdGetAssistHistoryScRsp = 2924,
    CmdGetFriendRecommendLineupScRsp = 2935,
    CmdGetFriendDevelopmentInfoCsReq = 2989,
    CmdSetAssistCsReq = 2978,
    CmdHandleFriendScRsp = 2980,
    CmdSearchPlayerScRsp = 2949,
    CmdAddBlacklistScRsp = 2985,
    CmdSyncApplyFriendScNotify = 2954,
    CmdGetFriendRecommendLineupCsReq = 2972,
    CmdGachaDecideItemChangeScNotify = 1980,
    CmdGetGachaCeilingCsReq = 1927,
    CmdDoGachaScRsp = 1939,
    CmdGetGachaInfoCsReq = 1920,
    CmdExchangeGachaCeilingCsReq = 1970,
    CmdSetGachaDecideItemScRsp = 1977,
    CmdGetGachaCeilingScRsp = 1921,
    CmdGetGachaInfoScRsp = 1991,
    CmdDoGachaCsReq = 1967,
    CmdSetGachaDecideItemCsReq = 1954,
    CmdExchangeGachaCeilingScRsp = 1959,
    CmdFinishEmotionDialoguePerformanceScRsp = 6359,
    CmdHeartDialTraceScriptScRsp = 6380,
    CmdFinishEmotionDialoguePerformanceCsReq = 6370,
    CmdGetHeartDialInfoCsReq = 6320,
    CmdSubmitEmotionItemCsReq = 6327,
    CmdChangeScriptEmotionScRsp = 6339,
    CmdSubmitEmotionItemScRsp = 6321,
    CmdGetHeartDialInfoScRsp = 6391,
    CmdHeartDialTraceScriptCsReq = 6377,
    CmdHeartDialScriptChangeScNotify = 6354,
    CmdChangeScriptEmotionCsReq = 6367,
    CmdHeliobusSelectSkillScRsp = 5885,
    CmdHeliobusSnsUpdateScNotify = 5880,
    CmdHeliobusActivityDataCsReq = 5820,
    CmdHeliobusSnsReadCsReq = 5867,
    CmdHeliobusUpgradeLevelCsReq = 5805,
    CmdHeliobusActivityDataScRsp = 5891,
    CmdHeliobusUpgradeLevelScRsp = 5874,
    CmdHeliobusLineupUpdateScNotify = 5806,
    CmdHeliobusSnsPostCsReq = 5827,
    CmdHeliobusSelectSkillCsReq = 5898,
    CmdHeliobusUnlockSkillScNotify = 5873,
    CmdHeliobusSnsLikeCsReq = 5870,
    CmdHeliobusInfoChangedScNotify = 5802,
    CmdHeliobusSnsCommentScRsp = 5877,
    CmdHeliobusSnsPostScRsp = 5821,
    CmdHeliobusEnterBattleScRsp = 5894,
    CmdHeliobusChallengeUpdateScNotify = 5809,
    CmdHeliobusStartRaidCsReq = 5836,
    CmdHeliobusStartRaidScRsp = 5887,
    CmdHeliobusEnterBattleCsReq = 5868,
    CmdHeliobusSnsCommentCsReq = 5854,
    CmdHeliobusSnsLikeScRsp = 5859,
    CmdHeliobusSnsReadScRsp = 5839,
    CmdRelicFilterPlanClearNameScNotify = 537,
    CmdDeleteRelicFilterPlanCsReq = 557,
    CmdRechargeSuccNotify = 594,
    CmdBatchRankUpEquipmentScRsp = 548,
    CmdLockEquipmentScRsp = 521,
    CmdRelicReforgeConfirmCsReq = 553,
    CmdSetTurnFoodSwitchScRsp = 540,
    CmdComposeItemScRsp = 574,
    CmdMarkRelicFilterPlanCsReq = 590,
    CmdModifyRelicFilterPlanCsReq = 593,
    CmdComposeLimitNumCompleteNotify = 541,
    CmdAddRelicFilterPlanScRsp = 516,
    CmdLockRelicCsReq = 585,
    CmdMarkItemScRsp = 524,
    CmdGeneralVirtualItemDataNotify = 518,
    CmdUseItemCsReq = 570,
    CmdMarkItemCsReq = 503,
    CmdDestroyItemCsReq = 578,
    CmdExchangeHcoinCsReq = 536,
    CmdSyncTurnFoodNotify = 523,
    CmdGetRecyleTimeCsReq = 544,
    CmdCancelMarkItemNotify = 528,
    CmdGetRelicFilterPlanScRsp = 560,
    CmdSellItemCsReq = 552,
    CmdComposeSelectedRelicScRsp = 506,
    CmdAddRelicFilterPlanCsReq = 596,
    CmdExpUpEquipmentScRsp = 502,
    CmdExpUpRelicCsReq = 573,
    CmdAddEquipmentScNotify = 531,
    CmdPromoteEquipmentScRsp = 539,
    CmdGetBagCsReq = 520,
    CmdLockEquipmentCsReq = 527,
    CmdMarkRelicFilterPlanScRsp = 589,
    CmdExchangeHcoinScRsp = 587,
    CmdPromoteEquipmentCsReq = 567,
    CmdRelicReforgeCsReq = 572,
    CmdDeleteRelicFilterPlanScRsp = 526,
    CmdModifyRelicFilterPlanScRsp = 564,
    CmdComposeLimitNumUpdateNotify = 584,
    CmdDestroyItemScRsp = 534,
    CmdSellItemScRsp = 568,
    CmdRelicReforgeConfirmScRsp = 533,
    CmdDiscardRelicCsReq = 547,
    CmdComposeItemCsReq = 505,
    CmdGetMarkItemListScRsp = 569,
    CmdSetTurnFoodSwitchCsReq = 522,
    CmdRelicReforgeScRsp = 535,
    CmdGetRelicFilterPlanCsReq = 595,
    CmdDiscardRelicScRsp = 519,
    CmdRankUpEquipmentCsReq = 554,
    CmdBatchRankUpEquipmentCsReq = 507,
    CmdGetBagScRsp = 591,
    CmdRankUpEquipmentScRsp = 577,
    CmdExpUpEquipmentCsReq = 580,
    CmdGetMarkItemListCsReq = 545,
    CmdGetRecyleTimeScRsp = 549,
    CmdComposeSelectedRelicCsReq = 509,
    CmdLockRelicScRsp = 538,
    CmdExpUpRelicScRsp = 598,
    CmdUseItemScRsp = 559,
    CmdUnlockBackGroundMusicScRsp = 3121,
    CmdTrialBackGroundMusicCsReq = 3170,
    CmdGetJukeboxDataScRsp = 3191,
    CmdGetJukeboxDataCsReq = 3120,
    CmdTrialBackGroundMusicScRsp = 3159,
    CmdUnlockBackGroundMusicCsReq = 3127,
    CmdPlayBackGroundMusicScRsp = 3139,
    CmdPlayBackGroundMusicCsReq = 3167,
    CmdReplaceLineupCsReq = 787,
    CmdSwapLineupCsReq = 754,
    CmdChangeLineupLeaderScRsp = 773,
    CmdJoinLineupCsReq = 727,
    CmdVirtualLineupDestroyNotify = 736,
    CmdChangeLineupLeaderCsReq = 774,
    CmdVirtualLineupTrialAvatarChangeScNotify = 731,
    CmdSwapLineupScRsp = 777,
    CmdGetCurLineupDataCsReq = 767,
    CmdSwitchLineupIndexCsReq = 798,
    CmdGetAllLineupDataCsReq = 768,
    CmdGetLineupAvatarDataScRsp = 705,
    CmdSwitchLineupIndexScRsp = 785,
    CmdQuitLineupCsReq = 770,
    CmdExtraLineupDestroyNotify = 706,
    CmdQuitLineupScRsp = 759,
    CmdGetLineupAvatarDataCsReq = 702,
    CmdJoinLineupScRsp = 721,
    CmdSyncLineupNotify = 780,
    CmdGetStageLineupScRsp = 791,
    CmdSetLineupNameScRsp = 752,
    CmdGetCurLineupDataScRsp = 739,
    CmdGetStageLineupCsReq = 720,
    CmdReplaceLineupScRsp = 709,
    CmdSetLineupNameCsReq = 738,
    CmdGetAllLineupDataScRsp = 794,
    CmdLobbyCreateCsReq = 7399,
    CmdLobbyStartFightCsReq = 7361,
    CmdLobbyInteractCsReq = 7375,
    CmdLobbyKickOutCsReq = 7362,
    CmdLobbyGetInfoCsReq = 7396,
    CmdLobbyJoinScRsp = 7386,
    CmdLobbyInviteScRsp = 7378,
    CmdLobbySyncInfoScNotify = 7395,
    CmdLobbyGetInfoScRsp = 7372,
    CmdLobbyInteractScRsp = 7393,
    CmdLobbyInviteScNotify = 7384,
    CmdLobbyQuitCsReq = 7369,
    CmdLobbyModifyPlayerInfoCsReq = 7367,
    CmdLobbyQuitScRsp = 7376,
    CmdLobbyInteractScNotify = 7380,
    CmdLobbyCreateScRsp = 7377,
    CmdLobbyKickOutScRsp = 7360,
    CmdLobbyModifyPlayerInfoScRsp = 7389,
    CmdLobbyInviteCsReq = 7356,
    CmdLobbyStartFightScRsp = 7387,
    CmdLobbyJoinCsReq = 7368,
    CmdGetMailScRsp = 891,
    CmdDelMailScRsp = 821,
    CmdDelMailCsReq = 827,
    CmdTakeMailAttachmentScRsp = 859,
    CmdGetMailCsReq = 820,
    CmdNewMailScNotify = 854,
    CmdMarkReadMailScRsp = 839,
    CmdTakeMailAttachmentCsReq = 870,
    CmdMarkReadMailCsReq = 867,
    CmdInteractChargerScRsp = 6839,
    CmdLeaveMapRotationRegionScNotify = 6873,
    CmdResetMapRotationRegionCsReq = 6805,
    CmdRemoveRotaterScRsp = 6852,
    CmdEnterMapRotationRegionCsReq = 6820,
    CmdUpdateRotaterScNotify = 6868,
    CmdGetMapRotationDataCsReq = 6880,
    CmdGetMapRotationDataScRsp = 6802,
    CmdInteractChargerCsReq = 6867,
    CmdResetMapRotationRegionScRsp = 6874,
    CmdDeployRotaterCsReq = 6827,
    CmdRemoveRotaterCsReq = 6838,
    CmdUpdateEnergyScNotify = 6898,
    CmdUpdateMapRotationDataScNotify = 6885,
    CmdLeaveMapRotationRegionCsReq = 6854,
    CmdLeaveMapRotationRegionScRsp = 6877,
    CmdEnterMapRotationRegionScRsp = 6891,
    CmdRotateMapCsReq = 6870,
    CmdRotateMapScRsp = 6859,
    CmdDeployRotaterScRsp = 6821,
    CmdMarbleLevelFinishScRsp = 8286,
    CmdMarbleUpdateShownSealCsReq = 8284,
    CmdMarbleShopBuyScRsp = 8281,
    CmdMarbleGetDataCsReq = 8288,
    CmdMarblePvpDataUpdateScNotify = 8273,
    CmdMarbleUnlockSealScNotify = 8275,
    CmdMarbleUpdateShownSealScRsp = 8289,
    CmdMarbleGetDataScRsp = 8279,
    CmdMarbleLevelFinishCsReq = 8280,
    CmdMarbleShopBuyCsReq = 8277,
    CmdGetMarkChestScRsp = 8189,
    CmdUpdateMarkChestScRsp = 8196,
    CmdGetMarkChestCsReq = 8198,
    CmdUpdateMarkChestCsReq = 8190,
    CmdMarkChestChangedScNotify = 8187,
    CmdCancelMatchScRsp = 7336,
    CmdStartMatchScRsp = 7327,
    CmdCancelMatchCsReq = 7318,
    CmdGetCrossInfoScRsp = 7317,
    CmdStartMatchCsReq = 7349,
    CmdMatchResultScNotify = 7311,
    CmdGetCrossInfoCsReq = 7337,
    CmdMatchThreeV2ScNotify = 7434,
    CmdMatchThreeV2GetDataScRsp = 7412,
    CmdMatchThreeV2LevelEndScRsp = 7428,
    CmdMatchThreeLevelEndScRsp = 7436,
    CmdMatchThreeGetDataCsReq = 7449,
    CmdMatchThreeV2LevelEndCsReq = 7406,
    CmdMatchThreeSetBirdPosCsReq = 7437,
    CmdMatchThreeV2SetBirdPosCsReq = 7419,
    CmdMatchThreeLevelEndCsReq = 7418,
    CmdMatchThreeV2BattleItemLevelUpScRsp = 7445,
    CmdMatchThreeGetDataScRsp = 7427,
    CmdMatchThreeV2SetBirdPosScRsp = 7426,
    CmdMatchThreeV2PvpFinishScNotify = 7446,
    CmdMatchThreeSyncDataScNotify = 7411,
    CmdMatchThreeV2BattleItemLevelUpCsReq = 7410,
    CmdMatchThreeV2GetDataCsReq = 7439,
    CmdMatchThreeSetBirdPosScRsp = 7417,
    CmdGetMissionMessageInfoCsReq = 2780,
    CmdGetNpcStatusCsReq = 2767,
    CmdFinishItemIdScRsp = 2721,
    CmdGetNpcMessageGroupCsReq = 2720,
    CmdFinishPerformSectionIdCsReq = 2754,
    CmdFinishSectionIdCsReq = 2770,
    CmdGetNpcStatusScRsp = 2739,
    CmdGetMissionMessageInfoScRsp = 2702,
    CmdFinishSectionIdScRsp = 2759,
    CmdGetNpcMessageGroupScRsp = 2791,
    CmdFinishPerformSectionIdScRsp = 2777,
    CmdFinishItemIdCsReq = 2727,
    CmdUpdateMovieRacingDataScRsp = 4109,
    CmdUpdateGunPlayDataCsReq = 4144,
    CmdTriggerVoiceScRsp = 4174,
    CmdGetOrigamiPropInfoCsReq = 4185,
    CmdTakePictureCsReq = 4127,
    CmdMazeKillDirectScRsp = 4169,
    CmdSubmitOrigamiItemScRsp = 4198,
    CmdSecurityReportCsReq = 4180,
    CmdTriggerVoiceCsReq = 4105,
    CmdShareCsReq = 4120,
    CmdSubmitOrigamiItemCsReq = 4173,
    CmdCancelCacheNotifyScRsp = 4177,
    CmdSecurityReportScRsp = 4102,
    CmdGetGunPlayDataCsReq = 4106,
    CmdCancelDirectDeliveryNoticeCsReq = 4124,
    CmdGetShareDataScRsp = 4139,
    CmdGetGunPlayDataScRsp = 4131,
    CmdGetMovieRacingDataScRsp = 4136,
    CmdGetShareDataCsReq = 4167,
    CmdGetOrigamiPropInfoScRsp = 4138,
    CmdCancelCacheNotifyCsReq = 4154,
    CmdShareScRsp = 4191,
    CmdDifficultyAdjustmentGetDataScRsp = 4184,
    CmdUpdateMovieRacingDataCsReq = 4187,
    CmdDifficultyAdjustmentUpdateDataCsReq = 4178,
    CmdDirectDeliveryScNotify = 4103,
    CmdDifficultyAdjustmentGetDataCsReq = 4141,
    CmdDifficultyAdjustmentUpdateDataScRsp = 4134,
    CmdUpdateGunPlayDataScRsp = 4149,
    CmdTakePictureScRsp = 4121,
    CmdCancelDirectDeliveryNoticeScRsp = 4128,
    CmdMazeKillDirectCsReq = 4145,
    CmdGetMovieRacingDataCsReq = 4194,
    CmdSyncTaskScRsp = 1270,
    CmdFinishedMissionScNotify = 1222,
    CmdGetMainMissionCustomValueScRsp = 1269,
    CmdGetMissionDataCsReq = 1220,
    CmdUpdateTrackMainMissionIdCsReq = 1228,
    CmdFinishCosumeItemMissionScRsp = 1274,
    CmdFinishTalkMissionScRsp = 1239,
    CmdUpdateMainMissionCustomValueScRsp = 1218,
    CmdAcceptMainMissionCsReq = 1278,
    CmdFinishCosumeItemMissionCsReq = 1205,
    CmdSubMissionRewardScNotify = 1231,
    CmdMissionAcceptScNotify = 1203,
    CmdGetMissionDataScRsp = 1291,
    CmdStartFinishMainMissionScNotify = 1284,
    CmdFinishTalkMissionCsReq = 1267,
    CmdGetMissionStatusCsReq = 1268,
    CmdUpdateTrackMainMissionIdScRsp = 1223,
    CmdTeleportToMissionResetPointCsReq = 1244,
    CmdUpdateMainMissionCustomValueCsReq = 1240,
    CmdSyncTaskCsReq = 1221,
    CmdTeleportToMissionResetPointScRsp = 1249,
    CmdAcceptMainMissionScRsp = 1234,
    CmdGetMissionStatusScRsp = 1294,
    CmdMissionRewardScNotify = 1227,
    CmdGetMainMissionCustomValueCsReq = 1245,
    CmdStartFinishSubMissionScNotify = 1241,
    CmdMissionGroupWarnScNotify = 1202,
    CmdGetSocialEventServerCacheCsReq = 7053,
    CmdMonopolyConfirmRandomScRsp = 7068,
    CmdGetMbtiReportScRsp = 7089,
    CmdMonopolyGuessChooseCsReq = 7040,
    CmdMonopolyGameCreateScNotify = 7022,
    CmdMonopolyEventLoadUpdateScNotify = 7001,
    CmdMonopolyConditionUpdateScNotify = 7058,
    CmdGetMonopolyFriendRankingListCsReq = 7016,
    CmdMonopolyRollDiceCsReq = 7021,
    CmdMonopolySttUpdateScNotify = 7079,
    CmdGetMonopolyMbtiReportRewardCsReq = 7082,
    CmdMonopolyLikeScNotify = 7026,
    CmdGetSocialEventServerCacheScRsp = 7033,
    CmdMonopolyReRollRandomCsReq = 7085,
    CmdMonopolyGetRegionProgressCsReq = 7030,
    CmdMonopolyUpgradeAssetScRsp = 7009,
    CmdMonopolyRollDiceScRsp = 7070,
    CmdDailyFirstEnterMonopolyActivityCsReq = 7005,
    CmdMonopolyGiveUpCurContentScRsp = 7031,
    CmdMonopolyGetRafflePoolInfoScRsp = 7011,
    CmdMonopolyReRollRandomScRsp = 7038,
    CmdMonopolyTakePhaseRewardCsReq = 7051,
    CmdMonopolyClickCellScRsp = 7066,
    CmdMonopolyTakeRaffleTicketRewardCsReq = 7062,
    CmdMonopolyGameSettleScNotify = 7034,
    CmdGetMonopolyInfoCsReq = 7020,
    CmdMonopolyGiveUpCurContentCsReq = 7006,
    CmdMonopolyRollRandomCsReq = 7073,
    CmdMonopolyScrachRaffleTicketCsReq = 7086,
    CmdMonopolyUpgradeAssetCsReq = 7087,
    CmdGetMonopolyDailyReportCsReq = 7061,
    CmdMonopolyGameGachaCsReq = 7045,
    CmdDailyFirstEnterMonopolyActivityScRsp = 7074,
    CmdMonopolyClickMbtiReportCsReq = 7046,
    CmdMonopolyAcceptQuizCsReq = 7028,
    CmdGetMonopolyFriendRankingListScRsp = 7093,
    CmdMonopolyGuessBuyInformationScRsp = 7019,
    CmdMonopolyMoveScRsp = 7054,
    CmdDeleteSocialEventServerCacheScRsp = 7048,
    CmdMonopolyGameRaiseRatioScRsp = 7078,
    CmdMonopolySocialEventEffectScNotify = 7035,
    CmdMonopolyAcceptQuizScRsp = 7023,
    CmdMonopolyGetDailyInitItemScRsp = 7100,
    CmdMonopolyGuessBuyInformationCsReq = 7047,
    CmdGetMbtiReportCsReq = 7090,
    CmdMonopolyGuessChooseScRsp = 7018,
    CmdMonopolyScrachRaffleTicketScRsp = 7075,
    CmdMonopolyQuizDurationChangeScNotify = 7071,
    CmdMonopolyContentUpdateScNotify = 7041,
    CmdMonopolyActionResultScNotify = 7067,
    CmdGetMonopolyInfoScRsp = 7091,
    CmdMonopolyEventSelectFriendCsReq = 7037,
    CmdMonopolyBuyGoodsScRsp = 7036,
    CmdMonopolyGetDailyInitItemCsReq = 7017,
    CmdMonopolySelectOptionCsReq = 7077,
    CmdMonopolyConfirmRandomCsReq = 7052,
    CmdMonopolyClickMbtiReportScRsp = 7042,
    CmdMonopolyCheatDiceScRsp = 7049,
    CmdMonopolySelectOptionScRsp = 7080,
    CmdMonopolyLikeScRsp = 7057,
    CmdMonopolyGuessDrawScNotify = 7055,
    CmdMonopolyTakePhaseRewardScRsp = 7056,
    CmdMonopolyMoveCsReq = 7059,
    CmdMonopolyTakeRaffleTicketRewardScRsp = 7014,
    CmdMonopolyGetRaffleTicketCsReq = 7043,
    CmdMonopolyGameRaiseRatioCsReq = 7084,
    CmdMonopolyCellUpdateNotify = 7039,
    CmdMonopolyGetRegionProgressScRsp = 7083,
    CmdMonopolyGameBingoFlipCardCsReq = 7003,
    CmdMonopolyGameGachaScRsp = 7069,
    CmdMonopolyGetRaffleTicketScRsp = 7012,
    CmdGetMonopolyDailyReportScRsp = 7008,
    CmdMonopolyLikeCsReq = 7064,
    CmdMonopolyBuyGoodsCsReq = 7094,
    CmdMonopolyGameBingoFlipCardScRsp = 7024,
    CmdDeleteSocialEventServerCacheCsReq = 7007,
    CmdMonopolyCheatDiceCsReq = 7044,
    CmdGetMonopolyMbtiReportRewardScRsp = 7099,
    CmdMonopolyGetRafflePoolInfoCsReq = 7032,
    CmdMonopolyClickCellCsReq = 7097,
    CmdMonopolyDailySettleScNotify = 7096,
    CmdMonopolyEventSelectFriendScRsp = 7072,
    CmdMonopolyRollRandomScRsp = 7098,
    CmdMultiplayerFightGameStateScRsp = 1091,
    CmdMultiplayerFightGameFinishScNotify = 1059,
    CmdMultiplayerFightGameStateCsReq = 1020,
    CmdMultiplayerMatch3FinishScNotify = 1054,
    CmdMultiplayerFightGiveUpScRsp = 1021,
    CmdMultiplayerGetFightGateCsReq = 1067,
    CmdMultiplayerFightGiveUpCsReq = 1027,
    CmdMultiplayerFightGameStartScNotify = 1070,
    CmdMultiplayerGetFightGateScRsp = 1039,
    CmdGetMultipleDropInfoScRsp = 4691,
    CmdGetMultipleDropInfoCsReq = 4620,
    CmdMultipleDropInfoScNotify = 4667,
    CmdGetPlayerReturnMultiDropInfoCsReq = 4639,
    CmdMultipleDropInfoNotify = 4621,
    CmdGetPlayerReturnMultiDropInfoScRsp = 4627,
    CmdUpgradeAreaStatScRsp = 4398,
    CmdMuseumTakeCollectRewardCsReq = 4349,
    CmdMuseumRandomEventQueryCsReq = 4368,
    CmdGetExhibitScNotify = 4377,
    CmdMuseumInfoChangedScNotify = 4385,
    CmdMuseumRandomEventQueryScRsp = 4394,
    CmdRemoveStuffFromAreaScRsp = 4359,
    CmdGetStuffScNotify = 4354,
    CmdBuyNpcStuffScRsp = 4339,
    CmdRemoveStuffFromAreaCsReq = 4370,
    CmdUpgradeAreaStatCsReq = 4373,
    CmdBuyNpcStuffCsReq = 4367,
    CmdSetStuffToAreaScRsp = 4321,
    CmdGetMuseumInfoCsReq = 4320,
    CmdMuseumTargetMissionFinishNotify = 4331,
    CmdFinishCurTurnScRsp = 4302,
    CmdMuseumRandomEventSelectScRsp = 4387,
    CmdMuseumFundsChangedScNotify = 4338,
    CmdGetMuseumInfoScRsp = 4391,
    CmdMuseumTargetStartNotify = 4306,
    CmdSetStuffToAreaCsReq = 4327,
    CmdMuseumRandomEventSelectCsReq = 4336,
    CmdUpgradeAreaCsReq = 4305,
    CmdUpgradeAreaScRsp = 4374,
    CmdMuseumTargetRewardNotify = 4344,
    CmdMuseumDispatchFinishedScNotify = 4309,
    CmdFinishCurTurnCsReq = 4380,
    CmdMuseumTakeCollectRewardScRsp = 4341,
    CmdMuseumRandomEventStartScNotify = 4352,
    CmdMusicRhythmMaxDifficultyLevelsUnlockNotify = 7590,
    CmdMusicRhythmSaveSongConfigDataCsReq = 7580,
    CmdMusicRhythmDataScRsp = 7596,
    CmdMusicRhythmUnlockSongSfxScNotify = 7593,
    CmdMusicRhythmStartLevelCsReq = 7576,
    CmdMusicRhythmUnlockSongNotify = 7599,
    CmdMusicRhythmDataCsReq = 7572,
    CmdMusicRhythmFinishLevelScRsp = 7584,
    CmdMusicRhythmSaveSongConfigDataScRsp = 7597,
    CmdMusicRhythmFinishLevelCsReq = 7583,
    CmdMusicRhythmUnlockTrackScNotify = 7586,
    CmdMusicRhythmStartLevelScRsp = 7577,
    CmdSubmitOfferingItemCsReq = 6930,
    CmdSubmitOfferingItemScRsp = 6936,
    CmdTakeOfferingRewardCsReq = 6927,
    CmdGetOfferingInfoCsReq = 6938,
    CmdTakeOfferingRewardScRsp = 6931,
    CmdOfferingInfoScNotify = 6925,
    CmdGetOfferingInfoScRsp = 6929,
    CmdAcceptedPamMissionExpireScRsp = 4091,
    CmdAcceptedPamMissionExpireCsReq = 4020,
    CmdSyncAcceptedPamMissionNotify = 4067,
    CmdSelectPamSkinScRsp = 8136,
    CmdGetPamSkinDataScRsp = 8129,
    CmdUnlockPamSkinScNotify = 8127,
    CmdGetPamSkinDataCsReq = 8138,
    CmdSelectPamSkinCsReq = 8130,
    CmdParkourGetDataScRsp = 8389,
    CmdParkourStartLevelScRsp = 8391,
    CmdParkourStartLevelCsReq = 8387,
    CmdParkourGetDataCsReq = 8398,
    CmdParkourEndLevelScRsp = 8383,
    CmdParkourGetRankingInfoScRsp = 8396,
    CmdParkourEndLevelCsReq = 8385,
    CmdParkourGetRankingInfoCsReq = 8390,
    CmdRecallPetScRsp = 7607,
    CmdCurPetChangedScNotify = 7612,
    CmdSummonPetCsReq = 7605,
    CmdGetPetDataScRsp = 7611,
    CmdRecallPetCsReq = 7620,
    CmdGetPetDataCsReq = 7609,
    CmdSummonPetScRsp = 7610,
    CmdSelectPhoneCaseScRsp = 5177,
    CmdUnlockPhoneThemeScNotify = 5159,
    CmdSelectChatBubbleScRsp = 5139,
    CmdSelectPhoneThemeScRsp = 5170,
    CmdSelectPhoneCaseCsReq = 5154,
    CmdUnlockPhoneCaseScNotify = 5180,
    CmdUnlockChatBubbleScNotify = 5127,
    CmdGetPhoneDataCsReq = 5120,
    CmdGetPhoneDataScRsp = 5191,
    CmdSelectChatBubbleCsReq = 5167,
    CmdSelectPhoneThemeCsReq = 5121,
    CmdPlanetFesCollectIncomeScRsp = 8211,
    CmdPlanetFesUpgradeFesLevelScRsp = 8244,
    CmdPlanetFesTakeQuestRewardScRsp = 8225,
    CmdPlanetFesUseItemScRsp = 8250,
    CmdPlanetFesGetBusinessDayInfoScRsp = 8230,
    CmdPlanetFesClientStatusScRsp = 8245,
    CmdPlanetFesUpgradeSkillLevelCsReq = 8248,
    CmdPlanetFesDealAvatarEventOptionItemCsReq = 8220,
    CmdPlanetFesGameBingoFlipScRsp = 8223,
    CmdPlanetFesFriendRankingInfoChangeScNotify = 8208,
    CmdPlanetFesSetAvatarWorkCsReq = 8237,
    CmdPlanetFesCollectAllIncomeScRsp = 8228,
    CmdPlanetFesSetAvatarWorkScRsp = 8217,
    CmdPlanetFesAvatarLevelUpScRsp = 8246,
    CmdPlanetFesBonusEventInteractScRsp = 8242,
    CmdPlanetFesBuyLandScRsp = 8212,
    CmdPlanetFesClientStatusCsReq = 8210,
    CmdPlanetFesTakeRegionPhaseRewardScRsp = 8204,
    CmdPlanetFesSetCustomKeyValueCsReq = 8238,
    CmdPlanetFesDeliverPamCargoCsReq = 8240,
    CmdPlanetFesBuyLandCsReq = 8239,
    CmdPlanetFesUpgradeFesLevelCsReq = 8233,
    CmdPlanetFesUpgradeSkillLevelScRsp = 8232,
    CmdPlanetFesGetBusinessDayInfoCsReq = 8243,
    CmdPlanetFesUseItemCsReq = 8209,
    CmdPlanetFesBusinessDayRefreshEventScRsp = 8213,
    CmdPlanetFesChooseAvatarEventOptionScRsp = 8201,
    CmdPlanetFesDoGachaCsReq = 8219,
    CmdPlanetFesSetCustomKeyValueScRsp = 8241,
    CmdPlanetFesCollectAllIncomeCsReq = 8206,
    CmdPlanetFesStartMiniGameScRsp = 8247,
    CmdPlanetFesGetAvatarStatScRsp = 8207,
    CmdPlanetFesStartMiniGameCsReq = 8235,
    CmdPlanetFesDealAvatarEventOptionItemScRsp = 8216,
    CmdGetPlanetFesDataCsReq = 8249,
    CmdPlanetFesGameBingoFlipCsReq = 8229,
    CmdPlanetFesDoGachaScRsp = 8226,
    CmdPlanetFesBusinessDayRefreshEventCsReq = 8203,
    CmdPlanetFesTakeQuestRewardCsReq = 8222,
    CmdPlanetFesTakeRegionPhaseRewardCsReq = 8231,
    CmdPlanetFesGetFriendRankingInfoListScRsp = 8202,
    CmdGetPlanetFesDataScRsp = 8227,
    CmdPlanetFesBonusEventInteractCsReq = 8221,
    CmdPlanetFesDeliverPamCargoScRsp = 8224,
    CmdPlanetFesGetFriendRankingInfoListCsReq = 8205,
    CmdPlanetFesAvatarLevelUpCsReq = 8234,
    CmdPlanetFesGetAvatarStatCsReq = 8215,
    CmdPlanetFesChooseAvatarEventOptionCsReq = 8214,
    CmdPlanetFesCollectIncomeCsReq = 8236,
    CmdPlanetFesSyncChangeScNotify = 8218,
    CmdPlanetFesHandleCardPieceApplyCsReq = 8302,
    CmdPlanetFesHandleCardPieceApplyScRsp = 8300,
    CmdPlanetFesGetFriendCardPieceScRsp = 8326,
    CmdPlanetFesGetFriendCardPieceCsReq = 8308,
    CmdPlanetFesApplyCardPieceScRsp = 8329,
    CmdPlanetFesGiveCardPieceScRsp = 8309,
    CmdPlanetFesChangeCardPieceApplyPermissionScRsp = 8327,
    CmdPlanetFesGetExtraCardPieceInfoScRsp = 8317,
    CmdPlanetFesGetOfferedCardPieceCsReq = 8335,
    CmdPlanetFesGetOfferedCardPieceScRsp = 8296,
    CmdPlanetFesLargeBonusInteractCsReq = 8316,
    CmdPlanetFesGiveCardPieceCsReq = 8318,
    CmdPlanetFesEnterNextBusinessDayCsReq = 8336,
    CmdPlanetFesGetExtraCardPieceInfoCsReq = 8339,
    CmdPlanetFesApplyCardPieceCsReq = 8307,
    CmdPlanetFesEnterNextBusinessDayScRsp = 8312,
    CmdPlanetFesLargeBonusInteractScRsp = 8324,
    CmdPlanetFesChangeCardPieceApplyPermissionCsReq = 8301,
    CmdUpdatePsnSettingsInfoScRsp = 82,
    CmdGateServerScNotify = 37,
    CmdGetLevelRewardTakenListCsReq = 36,
    CmdSetNicknameScRsp = 94,
    CmdDailyRefreshNotify = 60,
    CmdSetRedPointStatusScNotify = 62,
    CmdQueryProductInfoScRsp = 55,
    CmdStaminaInfoScNotify = 83,
    CmdPlayerGetTokenCsReq = 27,
    CmdUpdateFeatureSwitchScNotify = 63,
    CmdSetLanguageScRsp = 41,
    CmdAceAntiCheaterCsReq = 93,
    CmdPlayerLoginFinishCsReq = 48,
    CmdPlayerGetTokenScRsp = 21,
    CmdSetGameplayBirthdayScRsp = 16,
    CmdGetLevelRewardTakenListScRsp = 87,
    CmdSetMultipleAvatarPathsScRsp = 92,
    CmdUpdatePlayerSettingCsReq = 32,
    CmdUpdatePsnSettingsInfoCsReq = 79,
    CmdGetSecretKeyInfoScRsp = 7,
    CmdPlayerLoginScRsp = 91,
    CmdClientObjDownloadDataScNotify = 51,
    CmdGetLevelRewardCsReq = 9,
    CmdGetLevelRewardScRsp = 6,
    CmdRetcodeNotify = 26,
    CmdGmTalkScNotify = 59,
    CmdReserveStaminaExchangeScRsp = 30,
    CmdGetVideoVersionKeyCsReq = 43,
    CmdClientDownloadDataScNotify = 71,
    CmdSetPlayerInfoCsReq = 40,
    CmdPlayerLoginCsReq = 20,
    CmdGetBasicInfoScRsp = 95,
    CmdSetGameplayBirthdayCsReq = 96,
    CmdGetSecretKeyInfoCsReq = 33,
    CmdPlayerLogoutCsReq = 67,
    CmdSetGenderCsReq = 23,
    CmdExchangeStaminaCsReq = 74,
    CmdPlayerKickOutScNotify = 54,
    CmdClientObjUploadCsReq = 56,
    CmdSetMultipleAvatarPathsCsReq = 42,
    CmdSetAvatarPathScRsp = 97,
    CmdAntiAddictScNotify = 52,
    CmdPlayerHeartBeatCsReq = 90,
    CmdGetGameStateServiceConfigCsReq = 10,
    CmdServerAnnounceNotify = 84,
    CmdGmTalkCsReq = 77,
    CmdSetLanguageCsReq = 49,
    CmdQueryProductInfoCsReq = 19,
    CmdSetPlayerInfoScRsp = 18,
    CmdSetAvatarPathCsReq = 8,
    CmdGetAuthkeyCsReq = 98,
    CmdExchangeStaminaScRsp = 73,
    CmdPlayerHeartBeatScRsp = 89,
    CmdRegionStopScNotify = 38,
    CmdGmTalkScRsp = 80,
    CmdAceAntiCheaterScRsp = 64,
    CmdSetGenderScRsp = 22,
    CmdGetBasicInfoCsReq = 50,
    CmdSetNicknameCsReq = 68,
    CmdClientObjUploadScRsp = 1,
    CmdUpdatePlayerSettingScRsp = 11,
    CmdPlayerLogoutScRsp = 39,
    CmdGetVideoVersionKeyScRsp = 12,
    CmdGetAuthkeyScRsp = 85,
    CmdReserveStaminaExchangeCsReq = 75,
    CmdPlayerLoginFinishScRsp = 25,
    CmdUnlockAvatarPathCsReq = 58,
    CmdMonthCardRewardNotify = 57,
    CmdFeatureSwitchClosedScNotify = 72,
    CmdAvatarPathChangedNotify = 100,
    CmdGetGameStateServiceConfigScRsp = 4,
    CmdUnlockAvatarPathScRsp = 46,
    CmdSetAssistAvatarCsReq = 2802,
    CmdSetSignatureCsReq = 2877,
    CmdSetHeadIconScRsp = 2839,
    CmdGetPlayerBoardDataCsReq = 2820,
    CmdGetPlayerBoardDataScRsp = 2891,
    CmdSetPersonalCardScRsp = 2873,
    CmdSetIsDisplayAvatarInfoScRsp = 2859,
    CmdSetIsDisplayAvatarInfoCsReq = 2870,
    CmdSetPersonalCardCsReq = 2874,
    CmdSetDisplayAvatarCsReq = 2827,
    CmdSetAssistAvatarScRsp = 2805,
    CmdSetHeadIconCsReq = 2867,
    CmdUnlockHeadIconScNotify = 2854,
    CmdSetSignatureScRsp = 2880,
    CmdSetDisplayAvatarScRsp = 2821,
    CmdPlayerReturnPointChangeScNotify = 4539,
    CmdPlayerReturnTakeRewardCsReq = 4570,
    CmdPlayerReturnTakePointRewardScRsp = 4521,
    CmdPlayerReturnTakeRelicCsReq = 4502,
    CmdPlayerReturnSignScRsp = 4567,
    CmdPlayerReturnForceFinishScNotify = 4580,
    CmdPlayerReturnInfoQueryCsReq = 4554,
    CmdPlayerReturnTakeRelicScRsp = 4505,
    CmdPlayerReturnSignCsReq = 4591,
    CmdPlayerReturnInfoQueryScRsp = 4577,
    CmdPlayerReturnTakePointRewardCsReq = 4527,
    CmdPlayerReturnTakeRewardScRsp = 4559,
    CmdPlayerReturnStartScNotify = 4520,
    CmdFinishPlotScRsp = 1191,
    CmdFinishPlotCsReq = 1120,
    CmdSummonPunkLordMonsterScRsp = 3259,
    CmdGetPunkLordBattleRecordScRsp = 3245,
    CmdGetKilledPunkLordMonsterDataScRsp = 3206,
    CmdPunkLordMonsterInfoScNotify = 3273,
    CmdPunkLordDataChangeNotify = 3278,
    CmdGetPunkLordMonsterDataCsReq = 3220,
    CmdPunkLordBattleResultScNotify = 3287,
    CmdStartPunkLordRaidScRsp = 3239,
    CmdGetPunkLordBattleRecordCsReq = 3234,
    CmdPunkLordRaidTimeOutScNotify = 3252,
    CmdSummonPunkLordMonsterCsReq = 3270,
    CmdTakeKilledPunkLordMonsterScoreCsReq = 3241,
    CmdSharePunkLordMonsterScRsp = 3221,
    CmdSharePunkLordMonsterCsReq = 3227,
    CmdGetPunkLordMonsterDataScRsp = 3291,
    CmdTakeKilledPunkLordMonsterScoreScRsp = 3284,
    CmdPunkLordMonsterKilledNotify = 3249,
    CmdTakePunkLordPointRewardCsReq = 3205,
    CmdTakePunkLordPointRewardScRsp = 3274,
    CmdGetPunkLordDataScRsp = 3285,
    CmdGetKilledPunkLordMonsterDataCsReq = 3209,
    CmdGetPunkLordDataCsReq = 3298,
    CmdStartPunkLordRaidCsReq = 3267,
    CmdGetQuestDataCsReq = 920,
    CmdFinishQuestScRsp = 980,
    CmdGetQuestRecordScRsp = 959,
    CmdTakeQuestOptionalRewardScRsp = 905,
    CmdBatchGetQuestDataCsReq = 973,
    CmdTakeQuestOptionalRewardCsReq = 902,
    CmdGetQuestRecordCsReq = 970,
    CmdGetQuestDataScRsp = 991,
    CmdTakeQuestRewardScRsp = 939,
    CmdBatchGetQuestDataScRsp = 998,
    CmdQuestRecordScNotify = 954,
    CmdFinishQuestCsReq = 977,
    CmdTakeQuestRewardCsReq = 967,
    CmdRaidInfoNotify = 2227,
    CmdTakeChallengeRaidRewardCsReq = 2259,
    CmdGetAllSaveRaidScRsp = 2238,
    CmdGetSaveRaidScRsp = 2298,
    CmdGetAllSaveRaidCsReq = 2285,
    CmdGetRaidInfoCsReq = 2280,
    CmdSetClientRaidTargetCountScRsp = 2274,
    CmdChallengeRaidNotify = 2277,
    CmdGetChallengeRaidInfoCsReq = 2221,
    CmdTakeChallengeRaidRewardScRsp = 2254,
    CmdDelSaveRaidScNotify = 2252,
    CmdStartRaidCsReq = 2220,
    CmdGetChallengeRaidInfoScRsp = 2270,
    CmdGetSaveRaidCsReq = 2273,
    CmdGetRaidInfoScRsp = 2202,
    CmdStartRaidScRsp = 2291,
    CmdSetClientRaidTargetCountCsReq = 2205,
    CmdRaidKickByServerScNotify = 2268,
    CmdLeaveRaidCsReq = 2267,
    CmdLeaveRaidScRsp = 2239,
    CmdRaidCollectionEnterNextRaidCsReq = 6956,
    CmdRaidCollectionDataScNotify = 6950,
    CmdRaidCollectionDataCsReq = 6958,
    CmdRaidCollectionDataScRsp = 6949,
    CmdRaidCollectionEnterNextRaidScRsp = 6947,
    CmdTakeRechargeBenefitRewardScRsp = 8374,
    CmdSyncRechargeBenefitInfoScNotify = 8365,
    CmdTakeRechargeGiftRewardCsReq = 8370,
    CmdGetRechargeGiftInfoCsReq = 8378,
    CmdTakeRechargeBenefitRewardCsReq = 8363,
    CmdGetRechargeGiftInfoScRsp = 8369,
    CmdTakeRechargeGiftRewardScRsp = 8376,
    CmdGetRechargeBenefitInfoCsReq = 8367,
    CmdGetRechargeBenefitInfoScRsp = 8371,
    CMD_RECOMMEND_TYPE_NONE = 0,
    CmdGetBigDataRecommendScRsp = 2439,
    CmdGetBigDataRecommendCsReq = 2417,
    CmdGetBigDataAllRecommendScRsp = 2410,
    CmdGetBigDataAllRecommendCsReq = 2412,
    CmdGetChallengeRecommendLineupListCsReq = 2411,
    CmdGetChallengeRecommendLineupListScRsp = 2437,
    CmdGetAllRedDotDataCsReq = 5949,
    CmdUpdateRedDotDataScRsp = 5936,
    CmdGetAllRedDotDataScRsp = 5927,
    CmdUpdateRedDotDataCsReq = 5918,
    CmdGetSingleRedDotParamGroupCsReq = 5911,
    CmdGetSingleRedDotParamGroupScRsp = 5937,
    CmdRelicSmartWearGetPinRelicCsReq = 8262,
    CmdRelicSmartWearPinRelicCsReq = 8264,
    CmdRelicSmartWearUpdatePlanCsReq = 8257,
    CmdRelicSmartWearDeletePlanScRsp = 8253,
    CmdRelicSmartWearUpdatePlanScRsp = 8261,
    CmdRelicSmartWearPinRelicScRsp = 8269,
    CmdRelicSmartWearAddPlanCsReq = 8260,
    CmdRelicSmartWearGetPlanScRsp = 8259,
    CmdRelicSmartWearGetPinRelicScRsp = 8256,
    CmdRelicSmartWearUpdatePinRelicScNotify = 8263,
    CmdRelicSmartWearDeletePlanCsReq = 8255,
    CmdRelicSmartWearAddPlanScRsp = 8266,
    CmdRelicSmartWearGetPlanCsReq = 8268,
    CmdGetPlayerReplayInfoCsReq = 3567,
    CmdGetPlayerReplayInfoScRsp = 3539,
    CmdGetReplayTokenCsReq = 3520,
    CmdGetReplayTokenScRsp = 3591,
    CmdGetRndOptionCsReq = 3420,
    CmdGetRndOptionScRsp = 3491,
    CmdDailyFirstMeetPamScRsp = 3439,
    CmdDailyFirstMeetPamCsReq = 3467,
    CmdGetRogueTalentInfoScRsp = 1846,
    CmdSyncRogueAreaUnlockScNotify = 1862,
    CmdFinishAeonDialogueGroupCsReq = 1817,
    CmdGetRogueInfoScRsp = 1891,
    CmdEnhanceRogueBuffCsReq = 1806,
    CmdSyncRogueAeonScNotify = 1812,
    CmdGetRogueBuffEnhanceInfoScRsp = 1809,
    CmdGetRogueScoreRewardInfoCsReq = 1851,
    CmdSyncRogueSeasonFinishScNotify = 1824,
    CmdEnterRogueCsReq = 1827,
    CmdEnableRogueTalentScRsp = 1892,
    CmdOpenRogueChestCsReq = 1857,
    CmdGetRogueAeonInfoCsReq = 1897,
    CmdTakeRogueScoreRewardScRsp = 1836,
    CmdSyncRoguePickAvatarInfoScNotify = 1829,
    CmdGetRogueInitialScoreCsReq = 1818,
    CmdStartRogueScRsp = 1839,
    CmdPickRogueAvatarScRsp = 1885,
    CmdTakeRogueScoreRewardCsReq = 1894,
    CmdLeaveRogueCsReq = 1870,
    CmdEnterRogueMapRoomCsReq = 1822,
    CmdFinishAeonDialogueGroupScRsp = 1900,
    CmdGetRogueTalentInfoCsReq = 1858,
    CmdEnableRogueTalentCsReq = 1842,
    CmdQuitRogueScRsp = 1845,
    CmdEnterRogueScRsp = 1821,
    CmdSyncRogueVirtualItemInfoScNotify = 1881,
    CmdSyncRogueStatusScNotify = 1865,
    CmdSyncRogueReviveInfoScNotify = 1878,
    CmdSyncRogueAeonLevelUpRewardScNotify = 1811,
    CmdReviveRogueAvatarCsReq = 1852,
    CmdExchangeRogueRewardKeyScRsp = 1889,
    CmdEnterRogueMapRoomScRsp = 1840,
    CmdSyncRogueGetItemScNotify = 1814,
    CmdQuitRogueCsReq = 1834,
    CmdSyncRogueFinishScNotify = 1873,
    CmdGetRogueScoreRewardInfoScRsp = 1856,
    CmdEnhanceRogueBuffScRsp = 1831,
    CmdSyncRogueExploreWinScNotify = 1803,
    CmdPickRogueAvatarCsReq = 1898,
    CmdStartRogueCsReq = 1867,
    CmdOpenRogueChestScRsp = 1826,
    CmdTakeRogueAeonLevelRewardScRsp = 1875,
    CmdExchangeRogueRewardKeyCsReq = 1890,
    CmdLeaveRogueScRsp = 1859,
    CmdGetRogueAeonInfoScRsp = 1866,
    CmdGetRogueInitialScoreScRsp = 1847,
    CmdSyncRogueMapRoomScNotify = 1819,
    CmdGetRogueInfoCsReq = 1820,
    CmdSyncRogueRewardInfoScNotify = 1888,
    CmdGetRogueBuffEnhanceInfoCsReq = 1887,
    CmdTakeRogueAeonLevelRewardCsReq = 1886,
    CmdReviveRogueAvatarScRsp = 1868,
    CmdRogueArcadeGetInfoScRsp = 7689,
    CmdRogueArcadeRestartScRsp = 7687,
    CmdRogueArcadeStartScRsp = 7677,
    CmdRogueArcadeRestartCsReq = 7661,
    CmdRogueArcadeGetInfoCsReq = 7667,
    CmdRogueArcadeLeaveScRsp = 7686,
    CmdRogueArcadeStartCsReq = 7699,
    CmdRogueArcadeLeaveCsReq = 7668,
    CmdBuyRogueShopBuffScRsp = 5680,
    CmdGetRogueCollectionScRsp = 5675,
    CmdGetRogueHandbookDataCsReq = 5628,
    CmdGetRogueAdventureRoomInfoCsReq = 5674,
    CmdGetRogueShopMiracleInfoCsReq = 5639,
    CmdStopRogueAdventureRoomCsReq = 5606,
    CmdGetEnhanceCommonRogueBuffInfoCsReq = 5694,
    CmdRogueWorkbenchGetInfoScRsp = 5612,
    CmdTakeRogueEventHandbookRewardScRsp = 5619,
    CmdRogueDoGambleCsReq = 5697,
    CmdSetRogueCollectionScRsp = 5683,
    CmdRogueShopBeginBattleCsReq = 5615,
    CmdRogueGetGambleInfoScRsp = 5608,
    CmdTakeRogueEventHandbookRewardCsReq = 5647,
    CmdStopRogueAdventureRoomScRsp = 5631,
    CmdGetEnhanceCommonRogueBuffInfoScRsp = 5636,
    CmdRogueDebugReplaySaveScNotify = 5646,
    CmdGetRogueExhibitionCsReq = 5632,
    CmdRogueShopBeginBattleScRsp = 5676,
    CmdSyncRogueCommonDialogueOptionFinishScNotify = 5648,
    CmdGetRogueAdventureRoomInfoScRsp = 5673,
    CmdGetRogueShopMiracleInfoScRsp = 5627,
    CmdEnhanceCommonRogueBuffScRsp = 5609,
    CmdRogueWorkbenchGetInfoCsReq = 5643,
    CmdHandleRogueCommonPendingActionScRsp = 5664,
    CmdBuyRogueShopMiracleScRsp = 5654,
    CmdSetRogueExhibitionScRsp = 5656,
    CmdEnhanceCommonRogueBuffCsReq = 5687,
    CmdGetRogueHandbookDataScRsp = 5623,
    CmdSetRogueExhibitionCsReq = 5651,
    CmdCommonRogueUpdateScNotify = 5690,
    CmdGetRogueShopBuffInfoScRsp = 5670,
    CmdBuyRogueShopMiracleCsReq = 5659,
    CmdFinishRogueCommonDialogueScRsp = 5633,
    CmdUpdateRogueAdventureRoomScoreCsReq = 5663,
    CmdSyncRogueCommonActionResultScNotify = 5655,
    CmdRogueWorkbenchHandleFuncCsReq = 5662,
    CmdSyncRogueHandbookDataUpdateScNotify = 5622,
    CmdGetRogueShopBuffInfoCsReq = 5621,
    CmdGetRogueShopFormulaInfoCsReq = 5642,
    CmdHandleRogueCommonPendingActionCsReq = 5693,
    CmdTakeRogueMiracleHandbookRewardScRsp = 5618,
    CmdSetRogueCollectionCsReq = 5630,
    CmdRogueNpcDisappearScRsp = 5605,
    CmdBuyRogueShopFormulaScRsp = 5604,
    CmdPrepareRogueAdventureRoomScRsp = 5667,
    CmdRogueDoGambleScRsp = 5666,
    CmdRogueNpcDisappearCsReq = 5602,
    CmdTakeRogueMiracleHandbookRewardCsReq = 5640,
    CmdSelectRogueCommonDialogueOptionCsReq = 5672,
    CmdGetRogueShopFormulaInfoScRsp = 5692,
    CmdCommonRogueQueryCsReq = 5657,
    CmdGetRogueCollectionCsReq = 5686,
    CmdSyncRogueCommonVirtualItemInfoScNotify = 5695,
    CmdRogueWorkbenchHandleFuncScRsp = 5614,
    CmdSyncRogueCommonDialogueDataScNotify = 5607,
    CmdFinishRogueCommonDialogueCsReq = 5653,
    CmdRogueGetGambleInfoCsReq = 5661,
    CmdCommonRogueQueryScRsp = 5626,
    CmdSyncRogueCommonPendingActionScNotify = 5671,
    CmdGetRogueCommonDialogueDataCsReq = 5689,
    CmdGetRogueExhibitionScRsp = 5611,
    CmdSyncRogueAdventureRoomInfoScNotify = 5620,
    CmdUpdateRogueAdventureRoomScoreScRsp = 5650,
    CmdBuyRogueShopBuffCsReq = 5677,
    CmdSelectRogueCommonDialogueOptionScRsp = 5635,
    CmdGetRogueCommonDialogueDataScRsp = 5637,
    CmdPrepareRogueAdventureRoomCsReq = 5691,
    CmdBuyRogueShopFormulaCsReq = 5610,
    CmdRogueEndlessActivityBattleEndScNotify = 6006,
    CmdTakeRogueEndlessActivityPointRewardScRsp = 6001,
    CmdGetRogueEndlessActivityDataScRsp = 6009,
    CmdTakeRogueEndlessActivityPointRewardCsReq = 6007,
    CmdTakeRogueEndlessActivityAllBonusRewardCsReq = 6010,
    CmdGetRogueEndlessActivityDataCsReq = 6005,
    CmdTakeRogueEndlessActivityAllBonusRewardScRsp = 6004,
    CmdEnterRogueEndlessActivityStageScRsp = 6003,
    CmdEnterRogueEndlessActivityStageCsReq = 6008,
    CmdRogueMagicScepterDressInUnitScRsp = 7731,
    CmdRogueMagicEnableTalentCsReq = 7703,
    CmdRogueMagicEnterLayerCsReq = 7780,
    CmdRogueMagicStoryInfoUpdateScNotify = 7719,
    CmdRogueMagicEnterRoomCsReq = 7754,
    CmdRogueMagicSettleCsReq = 7770,
    CmdRogueMagicGetTalentInfoScRsp = 7769,
    CmdRogueMagicLeaveScRsp = 7721,
    CmdRogueMagicSetAutoDressInMagicUnitCsReq = 7728,
    CmdRogueMagicScepterDressInUnitCsReq = 7706,
    CmdRogueMagicAutoDressInUnitScRsp = 7747,
    CmdRogueMagicQueryCsReq = 7736,
    CmdRogueMagicUnitReforgeScRsp = 7734,
    CmdRogueMagicEnterLayerScRsp = 7702,
    CmdRogueMagicStartScRsp = 7791,
    CmdRogueMagicReviveCostUpdateScNotify = 7752,
    CmdRogueMagicBattleFailSettleInfoScNotify = 7738,
    CmdRogueMagicUnitReforgeCsReq = 7778,
    CmdRogueMagicAutoDressInMagicUnitChangeScNotify = 7755,
    CmdRogueMagicLevelInfoUpdateScNotify = 7705,
    CmdRogueMagicScepterTakeOffUnitCsReq = 7744,
    CmdRogueMagicGetMiscRealTimeDataCsReq = 7722,
    CmdRogueMagicAreaUpdateScNotify = 7774,
    CmdRogueMagicEnterRoomScRsp = 7777,
    CmdRogueMagicLeaveCsReq = 7727,
    CmdRogueMagicGetTalentInfoCsReq = 7745,
    CmdRogueMagicAutoDressInUnitCsReq = 7718,
    CmdRogueMagicSettleScRsp = 7759,
    CmdRogueMagicQueryScRsp = 7787,
    CmdRogueMagicReviveAvatarScRsp = 7794,
    CmdRogueMagicUnitComposeCsReq = 7741,
    CmdRogueMagicScepterTakeOffUnitScRsp = 7749,
    CmdRogueMagicStartCsReq = 7720,
    CmdRogueMagicEnableTalentScRsp = 7724,
    CmdRogueMagicGetMiscRealTimeDataScRsp = 7740,
    CmdRogueMagicEnterCsReq = 7767,
    CmdRogueMagicUnitComposeScRsp = 7784,
    CmdRogueMagicEnterScRsp = 7739,
    CmdRogueMagicReviveAvatarCsReq = 7768,
    CmdRogueMagicSetAutoDressInMagicUnitScRsp = 7723,
    CmdRogueModifierStageStartNotify = 5377,
    CmdRogueModifierUpdateNotify = 5359,
    CmdRogueModifierAddNotify = 5367,
    CmdRogueModifierDelNotify = 5354,
    CmdRogueModifierSelectCellScRsp = 5327,
    CmdRogueModifierSelectCellCsReq = 5339,
    CmdRogueTournGetSettleInfoCsReq = 6069,
    CmdRogueTournSaveBuildRefScRsp = 6083,
    CmdRogueTournGetPermanentTalentInfoCsReq = 6028,
    CmdRogueTournResetPermanentTalentScRsp = 6012,
    CmdRogueTournGetSettleInfoScRsp = 6047,
    CmdRogueTournStartCsReq = 6080,
    CmdRogueTournWeekChallengeUpdateScNotify = 6043,
    CmdRogueTournDifficultyCompNotify = 6072,
    CmdRogueTournQueryScRsp = 6058,
    CmdRogueTournEnableSeasonTalentCsReq = 6019,
    CmdRogueTournEnterRogueCocoonSceneCsReq = 6029,
    CmdRogueTournRenameBuildRefCsReq = 6061,
    CmdRogueTournConfirmSettleCsReq = 6040,
    CmdRogueTournGetAllBuildRefScRsp = 6057,
    CmdRogueTournDeleteBuildRefScRsp = 6021,
    CmdRogueTournExpNotify = 6026,
    CmdRogueTournGetMiscRealTimeDataScRsp = 6034,
    CmdRogueTournGetAllArchiveCsReq = 6037,
    CmdRogueTournStartScRsp = 6044,
    CmdRogueTournClearArchiveNameScNotify = 6032,
    CmdRogueTournEnterLayerScRsp = 6035,
    CmdRogueTournLeaveCsReq = 6038,
    CmdRogueTournSettleCsReq = 6048,
    CmdRogueTournEnterLayerCsReq = 6074,
    CmdRogueTournGetAllBuildRefCsReq = 6094,
    CmdRogueTournLevelInfoUpdateScNotify = 6077,
    CmdRogueTournDeleteBuildRefCsReq = 6042,
    CmdRogueTournDeleteArchiveScRsp = 6030,
    CmdRogueTournLeaveRogueCocoonSceneCsReq = 6085,
    CmdRogueTournTakeExpRewardScRsp = 6015,
    CmdRogueTournGetCurRogueCocoonInfoCsReq = 6093,
    CmdRogueTournHandBookNotify = 6081,
    CmdRogueTournResetPermanentTalentCsReq = 6046,
    CmdRogueTournGetArchiveRepositoryCsReq = 6049,
    CmdRogueTournGetSeasonTalentInfoScRsp = 6017,
    CmdRogueTournEnterCsReq = 6065,
    CmdRogueTournLeaveScRsp = 6096,
    CmdRogueTournDeleteArchiveCsReq = 6089,
    CmdRogueTournRenameBuildRefScRsp = 6066,
    CmdRogueTournReEnterRogueCocoonStageCsReq = 6050,
    CmdRogueTournEnterScRsp = 6073,
    CmdRogueTournEnterRoomScRsp = 6031,
    CmdRogueTournBattleFailSettleInfoScNotify = 6041,
    CmdRogueTournQueryCsReq = 6095,
    CmdRogueTournEnableSeasonTalentScRsp = 6090,
    CmdRogueTournTitanUpdateTitanBlessProgressScNotify = 6016,
    CmdRogueTournGetSeasonTalentInfoCsReq = 6078,
    CmdRogueTournEnablePermanentTalentCsReq = 6063,
    CmdRogueTournLeaveRogueCocoonSceneScRsp = 6059,
    CmdRogueTournConfirmSettleScRsp = 6045,
    CmdRogueTournRenameArchiveCsReq = 6088,
    CmdRogueTournReviveAvatarScRsp = 6022,
    CmdRogueTournReEnterRogueCocoonStageScRsp = 6051,
    CmdRogueTournSaveBuildRefCsReq = 6054,
    CmdRogueTournEnterRogueCocoonSceneScRsp = 6053,
    CmdRogueTournGetArchiveRepositoryScRsp = 6087,
    CmdRogueTournGetPermanentTalentInfoScRsp = 6079,
    CmdRogueTournAreaUpdateScNotify = 6013,
    CmdRogueTournReviveCostUpdateScNotify = 6070,
    CmdRogueTournGetMiscRealTimeDataCsReq = 6067,
    CmdRogueTournRenameArchiveScRsp = 6055,
    CmdRogueTournTakeExpRewardCsReq = 6084,
    CmdRogueTournEnterRoomCsReq = 6033,
    CmdRogueTournEnablePermanentTalentScRsp = 6064,
    CmdRogueTournSettleScRsp = 6062,
    CmdRogueTournGetCurRogueCocoonInfoScRsp = 6036,
    CmdRogueTournGetAllArchiveScRsp = 6024,
    CmdRogueTournReviveAvatarCsReq = 6060,
    CmdTakeRollShopRewardCsReq = 6907,
    CmdDoGachaInRollShopScRsp = 6916,
    CmdGetRollShopInfoCsReq = 6918,
    CmdTakeRollShopRewardScRsp = 6911,
    CmdDoGachaInRollShopCsReq = 6910,
    CmdGetRollShopInfoScRsp = 6909,
    CmdSceneCastSkillCostMpScRsp = 1473,
    CmdGameplayCounterCountDownCsReq = 1451,
    CmdRecoverAllLineupScRsp = 1469,
    CmdReturnLastTownScRsp = 1436,
    CmdReEnterLastElementStageScRsp = 1433,
    CmdSetCurInteractEntityScRsp = 1434,
    CmdSetClientPausedCsReq = 1440,
    CmdUnlockTeleportNotify = 1488,
    CmdRefreshTriggerByClientCsReq = 1458,
    CmdSpringRefreshCsReq = 1438,
    CmdRecoverAllLineupCsReq = 1445,
    CmdSetClientPausedScRsp = 1418,
    CmdGetCurSceneInfoCsReq = 1470,
    CmdGetUnlockTeleportScRsp = 1483,
    CmdSceneReviveAfterRebattleScRsp = 1431,
    CmdEntityBindPropScRsp = 1422,
    CmdChangePropTimelineInfoCsReq = 1454,
    CmdSceneGroupRefreshScNotify = 1479,
    CmdGetSceneMapInfoCsReq = 1414,
    CmdRefreshTriggerByClientScRsp = 1446,
    CmdSceneEnterStageCsReq = 1487,
    CmdDeleteSummonUnitCsReq = 1492,
    CmdEntityBindPropCsReq = 1423,
    CmdEnterSceneScRsp = 1443,
    CmdGetUnlockTeleportCsReq = 1430,
    CmdLastSpringRefreshTimeNotify = 1468,
    CmdSetGroupCustomSaveDataScRsp = 1437,
    CmdReEnterLastElementStageCsReq = 1453,
    CmdDeleteSummonUnitScRsp = 1410,
    CmdEnterSectionCsReq = 1444,
    CmdSceneEntityMoveScRsp = 1491,
    CmdRefreshTriggerByClientScNotify = 1442,
    CmdSetCurInteractEntityCsReq = 1478,
    CmdGroupStateChangeCsReq = 1461,
    CmdSpringRefreshScRsp = 1452,
    CmdOpenChestScNotify = 1432,
    CmdSceneCastSkillMpUpdateScNotify = 1498,
    CmdEnterSceneCsReq = 1425,
    CmdSceneCastSkillScRsp = 1421,
    CmdGetSceneMapInfoScRsp = 1486,
    CmdSceneCastSkillCsReq = 1427,
    CmdSceneEntityTeleportCsReq = 1407,
    CmdSyncEntityBuffChangeListScNotify = 1405,
    CmdStartCocoonStageCsReq = 1424,
    CmdInteractPropScRsp = 1439,
    CmdGroupStateChangeScRsp = 1408,
    CmdUpdateGroupPropertyCsReq = 1429,
    CmdGameplayCounterUpdateScNotify = 1401,
    CmdActivateFarmElementScRsp = 1463,
    CmdGroupStateChangeScNotify = 1497,
    CmdGetEnteredSceneScRsp = 1417,
    CmdGetEnteredSceneCsReq = 1466,
    CmdTrainWorldIdChangeScNotify = 1415,
    CmdUnlockedAreaMapScNotify = 1404,
    CmdEnteredSceneChangeScNotify = 1500,
    CmdReturnLastTownCsReq = 1494,
    CmdEnterSectionScRsp = 1449,
    CmdSetGroupCustomSaveDataCsReq = 1489,
    CmdSceneEntityTeleportScRsp = 1448,
    CmdSceneReviveAfterRebattleCsReq = 1406,
    CmdGetCurSceneInfoScRsp = 1459,
    CmdGameplayCounterCountDownScRsp = 1456,
    CmdSavePointsInfoNotify = 1403,
    CmdUpdateFloorSavedValueNotify = 1411,
    CmdStartCocoonStageScRsp = 1428,
    CmdGameplayCounterRecoverScRsp = 1499,
    CmdSceneEntityMoveCsReq = 1420,
    CmdSceneUpdatePositionVersionNotify = 1402,
    CmdChangePropTimelineInfoScRsp = 1477,
    CmdSceneEntityMoveScNotify = 1480,
    CmdDeactivateFarmElementCsReq = 1419,
    CmdScenePlaneEventScNotify = 1462,
    CmdSceneEnterStageScRsp = 1409,
    CmdInteractPropCsReq = 1467,
    CmdUpdateGroupPropertyScRsp = 1413,
    CmdDeactivateFarmElementScRsp = 1455,
    CmdGameplayCounterRecoverCsReq = 1482,
    CmdUpdateMechanismBarScNotify = 1490,
    CmdSceneCastSkillCostMpCsReq = 1474,
    CmdActivateFarmElementCsReq = 1471,
    CmdSyncServerSceneChangeNotify = 1475,
    CmdEnterSceneByServerScNotify = 1412,
    CmdGetServerPrefsDataCsReq = 6167,
    CmdGetAllServerPrefsDataScRsp = 6191,
    CmdUpdateServerPrefsDataCsReq = 6127,
    CmdGetAllServerPrefsDataCsReq = 6120,
    CmdUpdateServerPrefsDataScRsp = 6121,
    CmdGetServerPrefsDataScRsp = 6139,
    CmdGetShopListCsReq = 1520,
    CmdBuyGoodsCsReq = 1567,
    CmdGetShopListScRsp = 1591,
    CmdTakeCityShopRewardScRsp = 1521,
    CmdTakeCityShopRewardCsReq = 1527,
    CmdCityShopInfoScNotify = 1570,
    CmdBuyGoodsScRsp = 1539,
    CmdSpaceZooOpCatteryCsReq = 6770,
    CmdSpaceZooDataCsReq = 6720,
    CmdSpaceZooDeleteCatScRsp = 6777,
    CmdSpaceZooBornCsReq = 6767,
    CmdSpaceZooCatUpdateNotify = 6780,
    CmdSpaceZooBornScRsp = 6739,
    CmdSpaceZooTakeScRsp = 6773,
    CmdSpaceZooMutateScRsp = 6721,
    CmdSpaceZooExchangeItemCsReq = 6702,
    CmdSpaceZooTakeCsReq = 6774,
    CmdSpaceZooDeleteCatCsReq = 6754,
    CmdSpaceZooDataScRsp = 6791,
    CmdSpaceZooExchangeItemScRsp = 6705,
    CmdSpaceZooMutateCsReq = 6727,
    CmdSpaceZooOpCatteryScRsp = 6759,
    CmdStartStarFightLevelScRsp = 7163,
    CmdGetStarFightDataScRsp = 7169,
    CmdGetStarFightDataCsReq = 7165,
    CmdStarFightDataChangeNotify = 7166,
    CmdStartStarFightLevelCsReq = 7168,
    CmdStoryLineInfoScNotify = 6267,
    CmdGetStoryLineInfoCsReq = 6220,
    CmdChangeStoryLineFinishScNotify = 6221,
    CmdStoryLineTrialAvatarChangeScNotify = 6270,
    CmdGetStoryLineInfoScRsp = 6291,
    CmdStrongChallengeActivityBattleEndScNotify = 6627,
    CmdEnterStrongChallengeActivityStageCsReq = 6667,
    CmdGetStrongChallengeActivityDataScRsp = 6691,
    CmdEnterStrongChallengeActivityStageScRsp = 6639,
    CmdGetStrongChallengeActivityDataCsReq = 6620,
    CmdSummonActivityBattleEndScNotify = 7566,
    CmdGetSummonActivityDataCsReq = 7565,
    CmdEnterSummonActivityStageCsReq = 7568,
    CmdEnterSummonActivityStageScRsp = 7563,
    CmdGetSummonActivityDataScRsp = 7569,
    CmdSwitchHandResetGameCsReq = 8113,
    CmdSwitchHandCoinUpdateScRsp = 8119,
    CmdSwitchHandUpdateCsReq = 8105,
    CmdSwitchHandResetGameScRsp = 8115,
    CmdSwitchHandStartScRsp = 8116,
    CmdSwitchHandUpdateScRsp = 8103,
    CmdSwitchHandDataScRsp = 8109,
    CmdSwitchHandResetHandPosScRsp = 8106,
    CmdSwitchHandDataCsReq = 8118,
    CmdSwitchHandStartCsReq = 8110,
    CmdSwitchHandResetHandPosCsReq = 8112,
    CmdSwitchHandFinishScRsp = 8111,
    CmdSwitchHandCoinUpdateCsReq = 8114,
    CmdSwitchHandFinishCsReq = 8107,
    CmdSwordTrainingSetSkillTraceScRsp = 7483,
    CmdSwordTrainingTurnActionScRsp = 7461,
    CmdSwordTrainingMarkEndingViewedCsReq = 7494,
    CmdSwordTrainingSetSkillTraceCsReq = 7491,
    CmdGetSwordTrainingDataScRsp = 7468,
    CmdSwordTrainingExamResultConfirmScRsp = 7500,
    CmdSwordTrainingActionTurnSettleScNotify = 7497,
    CmdEnterSwordTrainingExamCsReq = 7469,
    CmdSwordTrainingStartGameScRsp = 7475,
    CmdSwordTrainingUnlockSyncScNotify = 7464,
    CmdSwordTrainingResumeGameCsReq = 7455,
    CmdSwordTrainingDialogueSelectOptionCsReq = 7489,
    CmdSwordTrainingDailyPhaseConfirmCsReq = 7487,
    CmdSwordTrainingGiveUpGameScRsp = 7463,
    CmdEnterSwordTrainingExamScRsp = 7476,
    CmdSwordTrainingStartGameCsReq = 7472,
    CmdSwordTrainingStoryBattleScRsp = 7492,
    CmdSwordTrainingRestoreGameCsReq = 7454,
    CmdSwordTrainingLearnSkillCsReq = 7484,
    CmdSwordTrainingStoryBattleCsReq = 7471,
    CmdSwordTrainingSelectEndingScRsp = 7498,
    CmdSwordTrainingGameSettleScNotify = 7474,
    CmdSwordTrainingStoryConfirmCsReq = 7493,
    CmdSwordTrainingRestoreGameScRsp = 7485,
    CmdSwordTrainingLearnSkillScRsp = 7496,
    CmdSwordTrainingTurnActionCsReq = 7486,
    CmdGetSwordTrainingDataCsReq = 7477,
    CmdSwordTrainingGameSyncChangeScNotify = 7499,
    CmdSwordTrainingStoryConfirmScRsp = 7480,
    CmdSwordTrainingGiveUpGameCsReq = 7453,
    CmdSwordTrainingExamResultConfirmCsReq = 7459,
    CmdSwordTrainingDailyPhaseConfirmScRsp = 7467,
    CmdSwordTrainingDialogueSelectOptionScRsp = 7462,
    CmdSwordTrainingResumeGameScRsp = 7452,
    CmdSwordTrainingMarkEndingViewedScRsp = 7465,
    CmdSwordTrainingSelectEndingCsReq = 7466,
    CmdPlayerSyncScNotify = 620,
    CmdGetNpcTakenRewardScRsp = 2191,
    CmdSelectInclinationTextScRsp = 2177,
    CmdFinishFirstTalkNpcScRsp = 2159,
    CmdGetFirstTalkNpcCsReq = 2127,
    CmdTakeTalkRewardScRsp = 2139,
    CmdFinishFirstTalkNpcCsReq = 2170,
    CmdGetFirstTalkByPerformanceNpcScRsp = 2102,
    CmdFinishFirstTalkByPerformanceNpcScRsp = 2174,
    CmdSelectInclinationTextCsReq = 2154,
    CmdGetFirstTalkNpcScRsp = 2121,
    CmdGetNpcTakenRewardCsReq = 2120,
    CmdTakeTalkRewardCsReq = 2167,
    CmdGetFirstTalkByPerformanceNpcCsReq = 2180,
    CmdFinishFirstTalkByPerformanceNpcCsReq = 2105,
    CmdTarotBookGetDataScRsp = 8149,
    CmdTarotBookOpenPackScRsp = 8156,
    CmdTarotBookUnlockInteractionCsReq = 8146,
    CmdTarotBookUnlockStoryCsReq = 8147,
    CmdTarotBookModifyEnergyScNotify = 8154,
    CmdTarotBookUnlockStoryScRsp = 8151,
    CmdTarotBookFinishInteractionScRsp = 8152,
    CmdTarotBookOpenPackCsReq = 8150,
    CmdTarotBookFinishStoryCsReq = 8145,
    CmdTarotBookGetDataCsReq = 8158,
    CmdTarotBookUnlockInteractionScRsp = 8153,
    CmdTarotBookFinishStoryScRsp = 8143,
    CmdTarotBookFinishInteractionCsReq = 8159,
    CmdTarotBookSyncDataScNotify = 8155,
    CmdEnterTelevisionActivityStageCsReq = 6976,
    CmdEnterTelevisionActivityStageScRsp = 6967,
    CmdTelevisionActivityBattleEndScNotify = 6971,
    CmdGetTelevisionActivityDataScRsp = 6969,
    CmdTelevisionActivityDataChangeScNotify = 6970,
    CmdGetTelevisionActivityDataCsReq = 6978,
    CmdTextJoinSaveCsReq = 3820,
    CmdTextJoinQueryScRsp = 3839,
    CmdTextJoinQueryCsReq = 3867,
    CmdTextJoinBatchSaveScRsp = 3821,
    CmdTextJoinSaveScRsp = 3891,
    CmdTextJoinBatchSaveCsReq = 3827,
    CmdGetTrackPhotoActivityDataCsReq = 7555,
    CmdGetTrackPhotoActivityDataScRsp = 7559,
    CmdSettleTrackPhotoStageCsReq = 7558,
    CmdQuitTrackPhotoStageScRsp = 7560,
    CmdQuitTrackPhotoStageCsReq = 7551,
    CmdStartTrackPhotoStageCsReq = 7556,
    CmdSettleTrackPhotoStageScRsp = 7553,
    CmdStartTrackPhotoStageScRsp = 7557,
    CmdTrainPartyMoveScNotify = 8027,
    CmdTrainPartyUpdatePosEnvCsReq = 8078,
    CmdTrainPartyBuildDiyCsReq = 8073,
    CmdTrainPartyTakeBuildLevelAwardScRsp = 8069,
    CmdTrainPartyBuildDiyScRsp = 8098,
    CmdTrainPartyEnterScRsp = 8068,
    CmdTrainPartyUseCardCsReq = 8067,
    CmdTrainPartyGamePlaySettleNotify = 8041,
    CmdTrainPartyLeaveScRsp = 8036,
    CmdTrainPartySettleNotify = 8070,
    CmdTrainPartyGetDataScRsp = 8091,
    CmdTrainPartyBuildingUpdateNotify = 8085,
    CmdTrainPartyGetDataCsReq = 8020,
    CmdTrainPartyEnterCsReq = 8052,
    CmdTrainPartyUpdatePosEnvScRsp = 8034,
    CmdTrainPartyHandlePendingActionScRsp = 8002,
    CmdTrainPartyGamePlayStartScRsp = 8049,
    CmdTrainPartyBuildStartStepScRsp = 8074,
    CmdTrainPartyGamePlayStartCsReq = 8044,
    CmdTrainPartyLeaveCsReq = 8094,
    CmdTrainPartyAddBuildDynamicBuffScRsp = 8024,
    CmdTrainPartyAddBuildDynamicBuffCsReq = 8003,
    CmdTrainPartyHandlePendingActionCsReq = 8080,
    CmdTrainPartyBuildStartStepCsReq = 8005,
    CmdTrainPartyUseCardScRsp = 8039,
    CmdTrainPartyTakeBuildLevelAwardCsReq = 8045,
    CmdTrainPartySyncUpdateScNotify = 8054,
    CmdTrainVisitorBehaviorFinishScRsp = 3791,
    CmdGetTrainVisitorRegisterScRsp = 3759,
    CmdGetTrainVisitorBehaviorCsReq = 3767,
    CmdTrainVisitorRewardSendNotify = 3721,
    CmdGetTrainVisitorRegisterCsReq = 3770,
    CmdTakeTrainVisitorUntakenBehaviorRewardCsReq = 3754,
    CmdGetTrainVisitorBehaviorScRsp = 3739,
    CmdTakeTrainVisitorUntakenBehaviorRewardScRsp = 3777,
    CmdTrainVisitorBehaviorFinishCsReq = 3720,
    CmdTrainRefreshTimeNotify = 3727,
    CmdShowNewSupplementVisitorCsReq = 3780,
    CmdShowNewSupplementVisitorScRsp = 3702,
    CmdTravelBrochureSetCustomValueScRsp = 6498,
    CmdTravelBrochureRemovePasterCsReq = 6454,
    CmdTravelBrochureApplyPasterCsReq = 6470,
    CmdTravelBrochureUpdatePasterPosScRsp = 6402,
    CmdTravelBrochureSelectMessageCsReq = 6427,
    CmdTravelBrochureGetPasterScNotify = 6405,
    CmdTravelBrochureUpdatePasterPosCsReq = 6480,
    CmdTravelBrochureSetPageDescStatusCsReq = 6485,
    CmdTravelBrochureApplyPasterListScRsp = 6436,
    CmdTravelBrochureRemovePasterScRsp = 6477,
    CmdTravelBrochurePageResetCsReq = 6452,
    CmdTravelBrochureApplyPasterScRsp = 6459,
    CmdTravelBrochureGetDataScRsp = 6491,
    CmdTravelBrochureSelectMessageScRsp = 6421,
    CmdTravelBrochureSetPageDescStatusScRsp = 6438,
    CmdTravelBrochureSetCustomValueCsReq = 6473,
    CmdTravelBrochureApplyPasterListCsReq = 6494,
    CmdTravelBrochurePageResetScRsp = 6468,
    CmdTravelBrochureGetDataCsReq = 6420,
    CmdTravelBrochurePageUnlockScNotify = 6467,
    CmdEnterTreasureDungeonCsReq = 4405,
    CmdInteractTreasureDungeonGridCsReq = 4452,
    CmdUseTreasureDungeonItemScRsp = 4436,
    CmdEnterTreasureDungeonScRsp = 4474,
    CmdQuitTreasureDungeonCsReq = 4487,
    CmdTreasureDungeonFinishScNotify = 4491,
    CmdGetTreasureDungeonActivityDataScRsp = 4402,
    CmdTreasureDungeonDataScNotify = 4420,
    CmdGetTreasureDungeonActivityDataCsReq = 4480,
    CmdOpenTreasureDungeonGridCsReq = 4473,
    CmdInteractTreasureDungeonGridScRsp = 4468,
    CmdOpenTreasureDungeonGridScRsp = 4498,
    CmdUseTreasureDungeonItemCsReq = 4494,
    CmdFightTreasureDungeonMonsterScRsp = 4438,
    CmdFightTreasureDungeonMonsterCsReq = 4485,
    CmdQuitTreasureDungeonScRsp = 4409,
    CmdFinishTutorialCsReq = 1654,
    CmdFinishTutorialScRsp = 1677,
    CmdGetTutorialCsReq = 1620,
    CmdGetTutorialGuideScRsp = 1639,
    CmdGetTutorialScRsp = 1691,
    CmdGetTutorialGuideCsReq = 1667,
    CmdUnlockTutorialCsReq = 1627,
    CmdUnlockTutorialScRsp = 1621,
    CmdFinishTutorialGuideScRsp = 1602,
    CmdUnlockTutorialGuideScRsp = 1659,
    CmdFinishTutorialGuideCsReq = 1680,
    CmdUnlockTutorialGuideCsReq = 1670,
    CmdTakeChapterRewardScRsp = 454,
    CmdSetCurWaypointCsReq = 467,
    CmdTakeChapterRewardCsReq = 459,
    CmdGetWaypointCsReq = 420,
    CmdSetCurWaypointScRsp = 439,
    CmdGetChapterCsReq = 427,
    CmdGetChapterScRsp = 421,
    CmdWaypointShowNewCsNotify = 470,
    CmdGetWaypointScRsp = 491,
    CmdWolfBroGameActivateBulletScRsp = 6546,
    CmdWolfBroGameActivateBulletCsReq = 6534,
    CmdWolfBroGameExplodeMonsterScRsp = 6525,
    CmdWolfBroGameDataChangeScNotify = 6545,
    CmdWolfBroGameExplodeMonsterCsReq = 6522,
    CmdGetWolfBroGameDataCsReq = 6512,
    CmdRestoreWolfBroGameArchiveScRsp = 6537,
    CmdArchiveWolfBroGameCsReq = 6518,
    CmdWolfBroGameUseBulletScRsp = 6528,
    CmdWolfBroGameUseBulletCsReq = 6506,
    CmdGetWolfBroGameDataScRsp = 6510,
    CmdWolfBroGamePickupBulletScRsp = 6526,
    CmdStartWolfBroGameCsReq = 6549,
    CmdQuitWolfBroGameScRsp = 6539,
    CmdWolfBroGamePickupBulletCsReq = 6519,
    CmdRestoreWolfBroGameArchiveCsReq = 6511,
    CmdQuitWolfBroGameCsReq = 6517,
    CmdStartWolfBroGameScRsp = 6527,
    CmdArchiveWolfBroGameScRsp = 6536,
    CmdWorldUnlockScRsp = 7626,
    CmdWorldUnlockCsReq = 7627,
    _,
};
